Commits

Anonymous committed c0c6988

Import from CVS: tag r20-0b33

  • Participants
  • Parent commits a4e0195
  • Tags r20-0b33

Comments (0)

Files changed (153)

File CHANGES-beta

 							-*- indented-text -*-
+to 20.0 beta33
+-- 20k of new zippy quotes from mly
+-- By popular demand, `font-menu-this-frame-only-p' now defaults to nil.
+-- tm-7.100.2
+-- Neal Becker's Rosetta Man patch reinstalled
+-- VM 5.97
+-- Minimize displayed help windows to avoid wasted screen space
+-- Miscellaneous bug fixes
+-- Java fontlocking update from Bob Weiner
+-- pcl-cvs update from Neal Becker
+
 to 20.0 beta32
 -- InfoDock man.el
 -- Fix long-standing race condition in timeout handling (courtesy of David
+Fri Dec 27 20:34:58 1996  Richard Mlynarik  <mly@adoc.xerox.com>
+
+	* etc/yow.lines: 20k of new zippy quotes.
+
+Fri Dec 27 01:02:41 1996  Martin Buchholz  <mrb@eng.sun.com>
+
+	* Makefile.in (install-arch-indep): Simplify installation of info
+	pages.
+
+Sat Dec 21 15:20:20 1996  Steven L Baur  <steve@altair.xemacs.org>
+	* XEmacs 20.0-b32 released.
+
+	* XEmacs 19.15-b5 released.
+
 Wed Dec 18 20:22:08 1996  Martin Buchholz  <mrb@eng.sun.com>
 
 	* configure.in: Reformat.  Fix shared include file rename

File Makefile

-# Generated automatically from Makefile.in by configure.
-# DIST: This is the distribution Makefile for XEmacs.  configure can
-# DIST: make most of the changes to this file you might want, so try
-# DIST: that first.
-
-# This file is part of XEmacs.
-
-# XEmacs is free software; you can redistribute it and/or modify it
-# under the terms of the GNU General Public License as published by the
-# Free Software Foundation; either version 2, or (at your option) any
-# later version.
-
-# XEmacs is distributed in the hope that it will be useful, but WITHOUT
-# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-# for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with XEmacs; see the file COPYING.  If not, write to
-# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
-# Boston, MA 02111-1307, USA.
-
-# make all	to compile and build XEmacs.
-# make install	to install it.
-# make TAGS	to update tags tables.
-#
-# make clean  or  make mostlyclean
-#      Delete all files from the current directory that are normally
-#      created by building the program.	 Don't delete the files that
-#      record the configuration.  Also preserve files that could be made
-#      by building, but normally aren't because the distribution comes
-#      with them.
-#
-#      Delete `.dvi' files here if they are not part of the distribution.
-# 
-# make distclean
-#      Delete all files from the current directory that are created by
-#      configuring or building the program.  If you have unpacked the
-#      source and built the program without creating any other files,
-#      `make distclean' should leave only the files that were in the
-#      distribution.
-# 
-# make realclean
-#      Delete everything from the current directory that can be
-#      reconstructed with this Makefile.  This typically includes
-#      everything deleted by distclean, plus more: C source files
-#      produced by Bison, tags tables, info files, and so on.
-#
-# make extraclean
-#      Still more severe - delete backup and autosave files, too.
-
-SHELL = /bin/sh
-
-
-# ==================== Things `configure' Might Edit ====================
-
-CC=gcc
-CPP=gcc -E -I/usr/X11R6/include
-C_SWITCH_SYSTEM= -DFUNCPROTO=11 -DNARROWPROTO -D_BSD_SOURCE 
-LN_S=ln -s
-CFLAGS=-m486 -g -O4 -malign-loops=2 -malign-jumps=2 -malign-functions=2
-C_SWITCH_X_SITE=-I/usr/X11R6/include
-LD_SWITCH_X_SITE=-L/usr/X11R6/lib
-YACC=bison -y
-
-### These help us choose version- and architecture-specific directories
-### to install files in.
-
-### This should be the number of the XEmacs version we're building,
-### like `19.12' or `19.13'.
-version=20.0-b32
-
-### This should be the name of the configuration we're building XEmacs
-### for, like `mips-dec-ultrix' or `sparc-sun-sunos'.
-configuration=i586-unknown-linux2.0.27
-
-### Libraries which should be edited into lib-src/Makefile.
-libsrc_libs= -lgcc -lc -lgcc /usr/lib/crtn.o 
-
-# ==================== Where To Install Things ====================
-
-# The default location for installation.  Everything is placed in
-# subdirectories of this directory.  The default values for many of
-# the variables below are expressed in terms of this one, so you may
-# not need to change them.  This defaults to /usr/local.
-prefix=/usr/local
-
-# Like `prefix', but used for architecture-specific files.
-exec_prefix=${prefix}
-
-# Where to install XEmacs and other binaries that people will want to
-# run directly (like etags).
-bindir=${exec_prefix}/bin
-
-# Where to install architecture-independent data files.	 ${lispdir}
-# and ${etcdir} are subdirectories of this.
-datadir=${prefix}/lib
-
-# Where to install and expect the files that XEmacs modifies as it
-# runs.	 These files are all architecture-independent. Right now, the
-# only such data is the locking directory; ${lockdir} is a
-# subdirectory of this.
-statedir=${prefix}/lib
-
-# Where to install and expect executable files to be run by XEmacs
-# rather than directly by users, and other architecture-dependent
-# data.	 ${archlibdir} is a subdirectory of this.
-libdir=${exec_prefix}/lib
-
-# Where to install XEmacs's man pages, and what extension they should have.
-mandir=${prefix}/man/man1
-manext=.1
-
-# Where to install and expect the info files describing XEmacs.	In the
-# past, this defaulted to a subdirectory of ${prefix}/lib/xemacs, but
-# since there are now many packages documented with the texinfo
-# system, it is inappropriate to imply that it is part of XEmacs.
-infodir=${prefix}/lib/xemacs-${version}/info
-
-# This is set to 'yes' if the user specified the --infodir flag at
-# configuration time.
-infodir_user_defined=no
-
-# Where to find the source code.  The source code for XEmacs's C kernel is
-# expected to be in ${srcdir}/src, and the source code for XEmacs's
-# utility programs is expected to be in ${srcdir}/lib-src.  This is
-# set by the configure script's `--srcdir' option.
-srcdir=/usr/local/xemacs/xemacs-20.0-b32
-
-# Tell make where to find source files; this is needed for the makefiles.
-VPATH=/usr/local/xemacs/xemacs-20.0-b32
-
-# ==================== XEmacs-specific directories ====================
-
-# These variables hold the values XEmacs will actually use.  They are
-# based on the values of the standard Make variables above.
-
-# Where to install the lisp files distributed with
-# XEmacs.  This includes the XEmacs version, so that the
-# lisp files for different versions of XEmacs will install
-# themselves in separate directories.
-lispdir=${datadir}/xemacs-${version}/lisp
-
-# This is set to 'yes' if the user specified the --lispdir or
-# --datadir flag at configuration time.
-lispdir_user_defined=no
-
-# Directories XEmacs should search for lisp files specific
-# to this site (i.e. customizations), before consulting
-# ${lispdir}.  This should be a colon-separated list of
-# directories.
-sitelispdir=${datadir}/xemacs/site-lisp
-
-# Where XEmacs will search for its lisp files while
-# building.  This is only used during the process of
-# compiling XEmacs, to help XEmacs find its lisp files
-# before they've been installed in their final location.
-# It's usually identical to lispdir, except that the
-# entry for the directory containing the installed lisp
-# files has been replaced with ../lisp.  This should be a
-# colon-separated list of directories.
-buildlispdir=${srcdir}/lisp
-
-# Where to install the other architecture-independent
-# data files distributed with XEmacs (like the tutorial,
-# the cookie recipes and the Zippy database). This path
-# usually contains the XEmacs version number, so the data
-# files for multiple versions of XEmacs may be installed
-# at once.
-etcdir=${datadir}/xemacs-${version}/etc
-
-# This is set to 'yes' if the user specified the --etcdir or
-# --datadir flag at configuration time.
-etcdir_user_defined=no
-
-# Where to create and expect the locking directory, where
-# the XEmacs locking code keeps track of which files are
-# currently being edited.
-lockdir=${statedir}/xemacs/lock
-
-# This is set to 'yes' if the user specified the --lockdir or
-# --statedir flag at configuration time.
-lockdir_user_defined=no
-
-# Where to put executables to be run by XEmacs rather than
-# the user.  This path usually includes the XEmacs version
-# and configuration name, so that multiple configurations
-# for multiple versions of XEmacs may be installed at
-# once.
-archlibdir=${libdir}/xemacs-${version}/${configuration}
-
-# This is set to 'yes' if the user specified any of --exec-prefix,
-# --libdir or --archlibdir at configuration time.
-archlibdir_user_defined=no
-
-# ==================== Utility Programs for the Build ====================
-
-# Allow the user to specify the install program.
-INSTALL = /usr/bin/install -c
-INSTALL_PROGRAM = ${INSTALL}
-INSTALL_DATA = ${INSTALL} -m 644
-
-# ============================= Targets ==============================
-
-# Subdirectories to make recursively.  `lisp' is not included
-# because the compiled lisp files are part of the distribution
-# and you cannot remake them without installing XEmacs first.
-MAKE_SUBDIR = lib-src lwlib dynodump src
-
-# Subdirectories that can be made recursively.
-SUBDIR = ${MAKE_SUBDIR} man
-
-# The makefiles of the directories in $SUBDIR.
-SUBDIR_MAKEFILES = lib-src/Makefile lwlib/Makefile dynodump/Makefile src/Makefile
-
-# Subdirectories to install, and where they'll go.
-# lib-src's makefile knows how to install it, so we don't do that here.
-# When installing the info files, we need to do special things to
-# avoid nuking an existing dir file, so we don't do that here;
-# instead, we have written out explicit code in the `install' targets.
-COPYDIR = ${srcdir}/etc ${srcdir}/lisp
-COPYDESTS = ${etcdir} ${lispdir}
-
-.NO_PARALLEL:	src/paths.h src/Emacs.ad.h ${MAKE_SUBDIR} dump-elcs
-
-all:	src/paths.h src/Emacs.ad.h ${MAKE_SUBDIR}
-
-# Convenience target for XEmacs beta testers
-beta:	clean all-elc
-
-# Build XEmacs and recompile out-of-date and missing .elc files along
-# the way.
-all-elc all-elcs:  src/paths.h src/Emacs.ad.h lib-src lwlib dump-elcs src
-	sh ${srcdir}/lib-src/update-elc.sh
-
-# Sub-target for all-elc.
-dump-elc dump-elcs:  FRC.dump-elcs
-	cd src; $(MAKE) dump-elcs $(MFLAGS) \
-		CC='${CC}' CFLAGS='${CFLAGS}' MAKE='${MAKE}'
-
-autoloads:	src
-	sh ${srcdir}/lib-src/update-autoloads.sh
-
-# We force the rebuilding of src/paths.h because the user might give
-# different values for the various directories.  Since we use
-# move-if-change, src/paths.h only actually changes if the user did
-# something notable, so the only unnecessary work we do is in building
-# src/paths.h.tmp, which isn't much.  Note that sed is not in /bin on
-# 386bsd.
-src/paths.h: Makefile ${srcdir}/src/paths.h.in FRC.src.paths.h
-	@echo "Producing \`src/paths.h' from \`src/paths.h.in'."
-	-rm -f src/paths.h.tmp
-	@cp ${srcdir}/src/paths.h.in src/paths.h.tmp
-	-chmod 0644 src/paths.h.tmp
-	@echo '#define PATH_PREFIX "${prefix}"' >> src/paths.h.tmp
-	@if [ x"${lispdir_user_defined}" = x"yes" ]; then \
-	  echo '#define PATH_LOADSEARCH "${lispdir}"' >> src/paths.h.tmp;\
-	else \
-	  echo '/* #define PATH_LOADSEARCH "${lispdir}" */' >>src/paths.h.tmp;\
-	fi
-	@if [ x"${archlibdir_user_defined}" = x"yes" ]; then \
-	  echo '#define PATH_EXEC "${archlibdir}"' >> src/paths.h.tmp ;\
-	else \
-	  echo '/* #define PATH_EXEC "${archlibdir}" */' >> src/paths.h.tmp ;\
-	fi
-	@if [ x"${etcdir_user_defined}" = x"yes" ]; then \
-	  echo '#define PATH_DATA "${etcdir}"' >> src/paths.h.tmp ;\
-	else \
-	  echo '/* #define PATH_DATA "${etcdir}" */' >> src/paths.h.tmp ;\
-	fi
-	@if [ x"${lockdir_user_defined}" = x"yes" ]; then \
-	  echo '#define PATH_LOCK "${lockdir}"' >> src/paths.h.tmp ;\
-	else \
-	  echo '/* #define PATH_LOCK "${lockdir}" */' >> src/paths.h.tmp ;\
-	fi
-	@if [ x"${infodir_user_defined}" = x"yes" ]; then \
-	  echo '#define PATH_INFO "${infodir}"' >> src/paths.h.tmp ;\
-	else \
-	  echo '/* #define PATH_INFO "${infodir}" */' >> src/paths.h.tmp ;\
-	fi
-	@sh ${srcdir}/move-if-change src/paths.h.tmp src/paths.h
-
-# We have to force the building of Emacs.ad.h as well in order to get it
-# updated correctly when VPATH is being used.  Since we use move-if-change,
-# it will only actually change if the user modified ${etcdir}/Emacs.ad.
-src/Emacs.ad.h: ${srcdir}/etc/Emacs.ad
-	@echo "Producing \`src/Emacs.ad.h' from \`etc/Emacs.ad'."
-	-rm -f src/Emacs.ad.h
-	@(echo "/*	Do not edit this file!" ; \
-	  echo "  	Automatically generated from ${srcdir}/etc/Emacs.ad" ; \
-	  echo " */" ; \
-	  /bin/sh ${srcdir}/lib-src/ad2c ${srcdir}/etc/Emacs.ad ) > \
-	  src/Emacs.ad.h
-
-src:	lib-src lwlib dynodump FRC.src
-lib-src: FRC.lib-src
-lwlib:	FRC.lwlib
-dynodump: FRC.dynodump
-
-.RECURSIVE: ${SUBDIR}
-
-${SUBDIR}: ${SUBDIR_MAKEFILES} src/config.h FRC
-	cd $@; $(MAKE) all $(MFLAGS) \
-		CC='${CC}' CFLAGS='${CFLAGS}' MAKE='${MAKE}'
-
-Makefile: ${srcdir}/Makefile.in config.status
-	./config.status
-
-src/Makefile: ${srcdir}/src/Makefile.in.in config.status
-	./config.status
-
-lib-src/Makefile: ${srcdir}/lib-src/Makefile.in.in config.status
-	./config.status
-
-lwlib/Makefile: ${srcdir}/lwlib/Makefile.in.in config.status
-	./config.status
-
-dynodump/Makefile: ${srcdir}/dynodump/Makefile.in.in config.status
-	./config.status
-
-src/config.h: ${srcdir}/src/config.h.in
-	./config.status
-
-# ==================== Installation ====================
-
-## If we let lib-src do its own installation, that means we
-## don't have to duplicate the list of utilities to install in
-## this Makefile as well.
-
-## On AIX, use tar xBf.
-## On Xenix, use tar xpf.
-
-.PHONY: install install-arch-dep install-arch-indep mkdir
-
-## We delete each directory in ${COPYDESTS} before we copy into it;
-## that way, we can reinstall over directories that have been put in
-## place with their files read-only (perhaps because they are checked
-## into RCS).  In order to make this safe, we make sure that the
-## source exists and is distinct from the destination.
-
-## FSF doesn't depend on `all', but rather on ${MAKE_SUBDIR}, so that
-## they "won't ever modify src/paths.h".  But that means you can't do
-## 'make install' right off the bat because src/paths.h won't exist.
-## And, in XEmacs case, src/Emacs.ad.h won't exist either.  I also
-## don't see the point in avoiding modifying paths.h.  It creates an
-## inconsistency in the build process.  So we go ahead and depend on
-## all.  --cet
-
-install: all install-arch-dep install-arch-indep;
-
-install-arch-dep: mkdir
-	(cd lib-src && \
-	  $(MAKE) install $(MFLAGS) prefix=${prefix} \
-	    exec_prefix=${exec_prefix} bindir=${bindir} libdir=${libdir} \
-	    archlibdir=${archlibdir})
-	if [ `(cd ${archlibdir}; /bin/pwd)` != `(cd ./lib-src; /bin/pwd)` ]; \
-	then \
-	   ${INSTALL_DATA} lib-src/DOC ${archlibdir}/DOC ; \
-	   for subdir in `find ${archlibdir} -type d ! -name RCS ! -name SCCS ! -name CVS -print` ; do \
-	     rm -rf $${subdir}/RCS $${subdir}/CVS $${subdir}/SCCS ; \
-	     rm -f  $${subdir}/\#* $${subdir}/*~ ; \
-	   done ; \
-	else true; fi
-	${INSTALL_PROGRAM} src/xemacs ${bindir}/xemacs-${version}
-	-chmod 0755 ${bindir}/xemacs-${version}
-	rm -f ${bindir}/xemacs
-	(cd ${bindir} ; ${LN_S} xemacs-${version} ./xemacs)
-
-install-arch-indep: mkdir
-	-set ${COPYDESTS} ; \
-	 for dir in ${COPYDIR} ; do \
-	   if [ `(cd $$1 && pwd)` != `(cd $${dir} && pwd)` ] ; then \
-	     echo "rm -rf $$1" ; \
-	   fi ; \
-	   shift ; \
-	 done
-	-set ${COPYDESTS} ; \
-	 mkdir ${COPYDESTS} ; \
-	 for dir in ${COPYDIR} ; do \
-	   dest=$$1 ; shift ; \
-	   [ -d $${dir} ] \
-	   && [ `(cd $${dir} && /bin/pwd)` != `(cd $${dest} && /bin/pwd)` ] \
-	   && (echo "Copying $${dir}..." ; \
-	       (cd $${dir}; tar -cf - . )|(cd $${dest};umask 022; tar -xf - );\
-	       chmod 0755 $${dest}; \
-	       for subdir in `find $${dest} -type d ! -name RCS ! -name SCCS ! -name CVS -print` ; do \
-		 rm -rf $${subdir}/RCS $${subdir}/CVS $${subdir}/SCCS ; \
-		 rm -f  $${subdir}/\#* $${subdir}/*~ ; \
-	       done) ; \
-	 done
-	if [ `(cd ${srcdir}/info && /bin/pwd)` != `(cd ${infodir} && /bin/pwd)` ]; \
-	then \
-	  (cd ${srcdir}/info ; \
-	   if [ ! -f ${infodir}/dir ] && [ -f dir ]; then \
-	     ${INSTALL_DATA} ${srcdir}/info/dir ${infodir}/dir ; \
-	   fi ; \
-	   for f in ange-ftp* cc-mode* cl* dired* ediff* external-widget* \
-		    forms* gnus* hyperbole* ilisp* info* internals* \
-		    ispell* lispref* mailcrypt* message* mh-e* \
-                    new-users-guide* oo-browser* pcl-cvs* psgml* rmail* \
-                    standards* supercite* term.* termcap* texinfo* viper* \
-                    vm* w3* xemacs* ; do \
-	     ${INSTALL_DATA} ${srcdir}/info/$$f ${infodir}/$$f ; \
-	     chmod 0644 ${infodir}/$$f; \
-	     gzip -9 ${infodir}/$$f; \
-	   done); \
-	else true; fi
-	cd ${srcdir}/etc; for page in xemacs etags ctags gnuserv \
-				      gnuclient gnuattach gnudoit ; do \
-	  ${INSTALL_DATA} ${srcdir}/etc/$${page}.1 ${mandir}/$${page}${manext} ; \
-	  chmod 0644 ${mandir}/$${page}${manext} ; \
-	done
-
-MAKEPATH=./lib-src/make-path
-### Build all the directories we're going to install XEmacs in.	Since
-### we may be creating several layers of directories (for example,
-### /usr/local/lib/xemacs-19.13/mips-dec-ultrix4.2), we use make-path
-### instead of mkdir.  Not all systems' mkdirs have the `-p' flag.
-mkdir: FRC.mkdir
-	${MAKEPATH} ${COPYDESTS} ${lockdir} ${infodir} ${mandir} \
-	  ${bindir} ${datadir} ${libdir} ${sitelispdir}
-	-chmod 0777 ${lockdir}
-
-### Delete all the installed files that the `install' target would
-### create (but not the noninstalled files such as `make all' would
-### create).
-###
-### Don't delete the lisp and etc directories if they're in the source tree.
-#### This target has not been updated in sometime and until it is it
-#### would be extremely dangerous for anyone to use it.
-#uninstall:
-#	(cd lib-src; 					\
-#	 $(MAKE) $(MFLAGS) uninstall			\
-#	    prefix=${prefix} exec_prefix=${exec_prefix}	\
-#	    bindir=${bindir} libdir=${libdir} archlibdir=${archlibdir})
-#	for dir in ${lispdir} ${etcdir} ; do 		\
-#	  case `(cd $${dir} ; pwd)` in			\
-#	    `(cd ${srcdir} ; pwd)`* ) ;;		\
-#	    * ) rm -rf $${dir} ;;			\
-#	  esac ;					\
-#	  case $${dir} in				\
-#	    ${datadir}/xemacs/${version}/* )		\
-#	      rm -rf ${datadir}/xemacs/${version}	\
-#	    ;;						\
-#	  esac ;					\
-#	done
-#	(cd ${infodir} && rm -f cl* xemacs* forms* info* vip*)
-#	(cd ${mandir} && rm -f xemacs.1 etags.1 ctags.1 gnuserv.1)
-#	(cd ${bindir} && rm -f xemacs-${version} xemacs)
-
-
-### Some makes seem to remember that they've built something called FRC,
-### so you can only use a given FRC once per makefile.
-FRC FRC.src.paths.h FRC.src FRC.lib-src FRC.lwlib FRC.mkdir FRC.dump-elcs:
-FRC.dynodump:
-FRC.mostlyclean FRC.clean FRC.distclean FRC.realclean:
-
-# ==================== Cleaning up and miscellanea ====================
-
-.PHONY: mostlyclean clean distclean realclean extraclean
-
-### `mostlyclean'
-###      Like `clean', but may refrain from deleting a few files that people
-###      normally don't want to recompile.  For example, the `mostlyclean'
-###      target for GCC does not delete `libgcc.a', because recompiling it
-###      is rarely necessary and takes a lot of time.
-mostlyclean: FRC.mostlyclean
-	(cd src      && $(MAKE) $(MFLAGS) mostlyclean)
-	(cd lib-src  && $(MAKE) $(MFLAGS) mostlyclean)
-	(cd lwlib    && $(MAKE) $(MFLAGS) mostlyclean)
-	(cd dynodump && $(MAKE) $(MFLAGS) mostlyclean)
-	-(cd man     && $(MAKE) $(MFLAGS) mostlyclean)
-
-### `clean'
-###      Delete all files from the current directory that are normally
-###      created by building the program.  Don't delete the files that
-###      record the configuration.  Also preserve files that could be made
-###      by building, but normally aren't because the distribution comes
-###      with them.
-### 
-###      Delete `.dvi' files here if they are not part of the distribution.
-clean: FRC.clean
-	(cd src      && $(MAKE) $(MFLAGS) clean)
-	(cd lib-src  && $(MAKE) $(MFLAGS) clean)
-	(cd lwlib    && $(MAKE) $(MFLAGS) clean)
-	(cd dynodump && $(MAKE) $(MFLAGS) clean)
-	-(cd man     && $(MAKE) $(MFLAGS) clean)
-
-### `distclean'
-###      Delete all files from the current directory that are created by
-###      configuring or building the program.  If you have unpacked the
-###      source and built the program without creating any other files,
-###      `make distclean' should leave only the files that were in the
-###      distribution.
-top_distclean=\
-	rm -f config.status config-tmp-* build-install ; \
-	rm -f Makefile ${SUBDIR_MAKEFILES}; \
-	(cd lock && rm -f *)
-
-distclean: FRC.distclean
-	(cd src      && $(MAKE) $(MFLAGS) distclean)
-	(cd lib-src  && $(MAKE) $(MFLAGS) distclean)
-	(cd lwlib    && $(MAKE) $(MFLAGS) distclean)
-	(cd dynodump && $(MAKE) $(MFLAGS) distclean)
-	-(cd man     && $(MAKE) $(MFLAGS) distclean)
-	-${top_distclean}
-
-### `realclean'
-###      Delete everything from the current directory that can be
-###      reconstructed with this Makefile.  This typically includes
-###      everything deleted by distclean, plus more: C source files
-###      produced by Bison, tags tables, info files, and so on.
-### 
-###      One exception, however: `make realclean' should not delete
-###      `configure' even if `configure' can be remade using a rule in the
-###      Makefile.  More generally, `make realclean' should not delete
-###      anything that needs to exist in order to run `configure' and then
-###      begin to build the program.
-realclean: FRC.realclean
-	(cd src      && $(MAKE) $(MFLAGS) realclean)
-	(cd lib-src  && $(MAKE) $(MFLAGS) realclean)
-	(cd lwlib    && $(MAKE) $(MFLAGS) realclean)
-	(cd dynodump && $(MAKE) $(MFLAGS) realclean)
-	-(cd man     && $(MAKE) $(MFLAGS) realclean)
-	-${top_distclean}
-
-### This doesn't actually appear in the coding standards, but Karl
-### says GCC supports it, and that's where the configuration part of
-### the coding standards seem to come from.  It's like distclean, but
-### it deletes backup and autosave files too.
-extraclean:
-	(cd src      && $(MAKE) $(MFLAGS) extraclean)
-	(cd lib-src  && $(MAKE) $(MFLAGS) extraclean)
-	(cd lwlib    && $(MAKE) $(MFLAGS) extraclean)
-	(cd dynodump && $(MAKE) $(MFLAGS) extraclean)
-	-(cd man     && $(MAKE) $(MFLAGS) extraclean)
-	-rm -f *~ \#*
-	-${top_distclean}
-
-### Unlocking and relocking.  The idea of these productions is to reduce
-### hassles when installing an incremental tar of XEmacs.  Do `make unlock'
-### before unlocking the file to take the write locks off all sources so
-### that tar xvof will overwrite them without fuss.  Then do `make relock'
-### afterward so that VC mode will know which files should be checked in
-### if you want to mung them.
-###
-### Note: it's no disaster if these productions miss a file or two; tar
-### and VC will swiftly let you know if this happens, and it is easily
-### corrected.
-SOURCES = ChangeLog GETTING.GNU.SOFTWARE INSTALL Makefile.in PROBLEMS \
-	README build-install.in configure make-dist move-if-change
-
-.PHONY: unlock relock
-
-unlock:
-	chmod u+w $(SOURCES) cpp/*
-	-(cd elisp && chmod u+w Makefile README *.texi)
-	(cd etc     && $(MAKE) $(MFLAGS) unlock)
-	(cd lib-src && $(MAKE) $(MFLAGS) unlock)
-	(cd lisp    && $(MAKE) $(MFLAGS) unlock)
-	(cd lisp/term && chmod u+w README *.el)
-	(cd man && chmod u+w *texi* ChangeLog split-man)
-	(cd lwlib && chmod u+w *.[ch] Makefile.in.in)
-	(cd src && $(MAKE) $(MFLAGS) unlock)
-
-relock:
-	chmod u-w $(SOURCES) cpp/*
-	-(cd elisp && chmod u-w Makefile README *.texi)
-	(cd etc     && $(MAKE) $(MFLAGS) relock)
-	(cd lib-src && $(MAKE) $(MFLAGS) relock)
-	(cd lisp    && $(MAKE) $(MFLAGS) relock)
-	(cd lisp/term && chmod u+w README *.el)
-	(cd man && chmod u+w *texi* ChangeLog split-man)
-	(cd lwlib && chmod u+w *.[ch] Makefile.in.in)
-	(cd src && $(MAKE) $(MFLAGS) relock)
-
-.PHONY: TAGS tags check dist
-
-TAGS tags:
-	@echo "If you don't have a copy of etags around, then do 'make lib-src' first."
-	@PATH=`pwd`/lib-src:$$PATH HOME=/-=-; export PATH HOME; \
-	  echo "Using etags from `which etags`."
-	PATH=`pwd`/lib-src:$$PATH ; export PATH; cd ${srcdir} ; \
-	etags --regex='/[ 	]*DEF\(VAR\|INE\)_[A-Z_]+[ 	]*([ 	]*"\([^"]+\)"/\2/' src/*.[ch] ; \
-	for d in `find lisp -name SCCS -prune -o -name RCS -prune -o -type d -print` ; do \
-	  (cd $$d ; if [ "`echo *.el`" != "*.el" ] ; then etags -a -o ${srcdir}/TAGS *.el ; fi ) ; \
-	done ; \
-	etags -a lwlib/*.[ch]
-
-check:
-	@echo "We don't have any automated tests for XEmacs yet."
-
-dist:
-	cd ${srcdir} && make-dist
-
-.PHONY: info dvi
-force-info:
-info: force-info
-	cd ${srcdir}/man && $(MAKE) $(MFLAGS) $@
-dvi:
-	cd ${srcdir}/man && $(MAKE) $(MFLAGS) $@
-
-# Fix up version information in executables (Solaris-only)
-mcs:
-	date=`LANG=C LC_ALL=C date -u '+%e %b %Y'`; \
-	ident="@(#)RELEASE VERSION XEmacs ${version} $${date}"; \
-	for f in `file lib-src/* src/xemacs | grep ELF | sed -e 's/:.*//'`; do \
-	  mcs -da "$${ident} `echo $${f} | sed 's/.*\///'`" $${f}; \
-	done
 	   if [ ! -f ${infodir}/dir ] && [ -f dir ]; then \
 	     ${INSTALL_DATA} ${srcdir}/info/dir ${infodir}/dir ; \
 	   fi ; \
-	   for f in ange-ftp* cc-mode* cl* dired* ediff* external-widget* \
-		    forms* gnus* hyperbole* ilisp* info* internals* \
-		    ispell* lispref* mailcrypt* message* mh-e* \
-                    new-users-guide* oo-browser* pcl-cvs* psgml* rmail* \
-                    standards* supercite* term.* termcap* texinfo* viper* \
-                    vm* w3* xemacs* ; do \
+	   for f in *.info ; do \
 	     ${INSTALL_DATA} ${srcdir}/info/$$f ${infodir}/$$f ; \
 	     chmod 0644 ${infodir}/$$f; \
 	     gzip -9 ${infodir}/$$f; \

File config.status

-#!/bin/sh
-# Generated automatically by configure.
-# Run this file to recreate the current configuration.
-# This directory was configured as follows,
-# on host altair.xemacs.org:
-#
-# ./configure  --with-sound=no --with-xface=yes --error-checking=all --debug=yes --with-mule=yes --cflags=-m486 -g -O4 -malign-loops=2 -malign-jumps=2 -malign-functions=2 --run-in-place=yes --with-offix=yes --with-png=yes
-
-ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
-for ac_option
-do
-  case "$ac_option" in
-  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
-    echo running ${CONFIG_SHELL-/bin/sh} ./configure  --with-sound=no --with-xface=yes --error-checking=all --debug=yes --with-mule=yes --cflags=-m486 -g -O4 -malign-loops=2 -malign-jumps=2 -malign-functions=2 --run-in-place=yes --with-offix=yes --with-png=yes --no-create
-    exec ${CONFIG_SHELL-/bin/sh} ./configure  --with-sound=no --with-xface=yes --error-checking=all --debug=yes --with-mule=yes --cflags=-m486 -g -O4 -malign-loops=2 -malign-jumps=2 -malign-functions=2 --run-in-place=yes --with-offix=yes --with-png=yes --no-create ;;
-  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
-    echo "config.status generated by autoconf version 1.11"
-    exit 0 ;;
-  -help | --help | --hel | --he | --h)
-    echo "$ac_cs_usage"; exit 0 ;;
-  *) echo "$ac_cs_usage"; exit 1 ;;
-  esac
-done
-
-trap 'rm -fr Makefile lib-src/Makefile.in src/Makefile.in lwlib/Makefile.in dynodump/Makefile.in src/config.h conftest*; exit 1' 1 2 15
-LN_S='ln -s'
-CC='gcc'
-CPP='gcc -E -I/usr/X11R6/include'
-RANLIB='ranlib'
-INSTALL='/usr/bin/install -c'
-INSTALL_PROGRAM='${INSTALL}'
-INSTALL_DATA='${INSTALL} -m 644'
-YACC='bison -y'
-SET_MAKE=''
-ALLOCA=''
-version='20.0-b32'
-configuration='i586-unknown-linux2.0.27'
-canonical='i586-unknown-linux2.0.27'
-srcdir='/usr/local/xemacs/xemacs-20.0-b32'
-prefix='/usr/local'
-exec_prefix='${prefix}'
-bindir='${exec_prefix}/bin'
-datadir='${prefix}/lib'
-statedir='${prefix}/lib'
-libdir='${exec_prefix}/lib'
-mandir='${prefix}/man/man1'
-infodir='${prefix}/lib/xemacs-${version}/info'
-infodir_user_defined='no'
-lispdir='${datadir}/xemacs-${version}/lisp'
-lispdir_user_defined='no'
-sitelispdir='${datadir}/xemacs/site-lisp'
-etcdir='${datadir}/xemacs-${version}/etc'
-etcdir_user_defined='no'
-lockdir='${statedir}/xemacs/lock'
-lockdir_user_defined='no'
-archlibdir='${libdir}/xemacs-${version}/${configuration}'
-archlibdir_user_defined='no'
-docdir=''
-bitmapdir=''
-c_switch_system=' -DFUNCPROTO=11 -DNARROWPROTO -D_BSD_SOURCE '
-c_switch_machine=' '
-libsrc_libs=' -lgcc -lc -lgcc /usr/lib/crtn.o '
-LD_SWITCH_X_SITE='-L/usr/X11R6/lib'
-LD_SWITCH_X_SITE_AUX=''
-C_SWITCH_X_SITE='-I/usr/X11R6/include'
-LD_SWITCH_SITE=''
-C_SWITCH_SITE=''
-CFLAGS='-m486 -g -O4 -malign-loops=2 -malign-jumps=2 -malign-functions=2'
-native_sound_lib=''
-machfile='m/intel386.h'
-opsysfile='s/linux.h'
-dynodump_arch=''
-internal_makefile_list='Makefile lib-src/Makefile.in src/Makefile.in lwlib/Makefile.in dynodump/Makefile.in'
-LIBS=' -lX11      -lgcc -lc -lgcc /usr/lib/crtn.o   -lm'
-top_srcdir=''
-ac_prsub='s%^prefix\([ 	]*\)=\([ 	]*\).*$%prefix\1=\2/usr/local%
-s%^exec_prefix\([ 	]*\)=\([ 	]*\).*$%exec_prefix\1=\2${prefix}%'
-ac_vpsub=''
-extrasub=''
-
-ac_given_srcdir=$srcdir
-
-CONFIG_FILES=${CONFIG_FILES-"$internal_makefile_list"}
-for ac_file in .. ${CONFIG_FILES}; do if test "x$ac_file" != x..; then
-  # Remove last slash and all that follows it.  Not all systems have dirname.
-  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
-  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
-    # The file is in a subdirectory.
-    test ! -d "$ac_dir" && mkdir "$ac_dir"
-    ac_dir_suffix="/$ac_dir"
-  else
-    ac_dir_suffix=
-  fi
-
-  # A "../" for each directory in $ac_dir_suffix.
-  ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
-  case "$ac_given_srcdir" in
-  .)  srcdir=.
-      if test -z "$ac_dir_suffix"; then top_srcdir=.
-      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
-  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
-  *) # Relative path.
-    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
-    top_srcdir="$ac_dots$ac_given_srcdir" ;;
-  esac
-
-  echo creating "$ac_file"
-  rm -f "$ac_file"
-  comment_str="Generated automatically from `echo $ac_file|sed 's|.*/||'`.in by configure."
-  case "$ac_file" in
-    *.c | *.h | *.C | *.cc | *.m )  echo "/* $comment_str */" > "$ac_file" ;;
-    * )          echo "# $comment_str"     > "$ac_file" ;;
-  esac
-  sed -e "
-$ac_prsub
-$ac_vpsub
-$extrasub
-s%@LN_S@%$LN_S%g
-s%@CC@%$CC%g
-s%@CPP@%$CPP%g
-s%@RANLIB@%$RANLIB%g
-s%@INSTALL@%$INSTALL%g
-s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
-s%@INSTALL_DATA@%$INSTALL_DATA%g
-s%@YACC@%$YACC%g
-s%@SET_MAKE@%$SET_MAKE%g
-s%@ALLOCA@%$ALLOCA%g
-s%@version@%$version%g
-s%@configuration@%$configuration%g
-s%@canonical@%$canonical%g
-s%@srcdir@%$srcdir%g
-s%@prefix@%$prefix%g
-s%@exec_prefix@%$exec_prefix%g
-s%@bindir@%$bindir%g
-s%@datadir@%$datadir%g
-s%@statedir@%$statedir%g
-s%@libdir@%$libdir%g
-s%@mandir@%$mandir%g
-s%@infodir@%$infodir%g
-s%@infodir_user_defined@%$infodir_user_defined%g
-s%@lispdir@%$lispdir%g
-s%@lispdir_user_defined@%$lispdir_user_defined%g
-s%@sitelispdir@%$sitelispdir%g
-s%@etcdir@%$etcdir%g
-s%@etcdir_user_defined@%$etcdir_user_defined%g
-s%@lockdir@%$lockdir%g
-s%@lockdir_user_defined@%$lockdir_user_defined%g
-s%@archlibdir@%$archlibdir%g
-s%@archlibdir_user_defined@%$archlibdir_user_defined%g
-s%@docdir@%$docdir%g
-s%@bitmapdir@%$bitmapdir%g
-s%@c_switch_system@%$c_switch_system%g
-s%@c_switch_machine@%$c_switch_machine%g
-s%@libsrc_libs@%$libsrc_libs%g
-s%@LD_SWITCH_X_SITE@%$LD_SWITCH_X_SITE%g
-s%@LD_SWITCH_X_SITE_AUX@%$LD_SWITCH_X_SITE_AUX%g
-s%@C_SWITCH_X_SITE@%$C_SWITCH_X_SITE%g
-s%@LD_SWITCH_SITE@%$LD_SWITCH_SITE%g
-s%@C_SWITCH_SITE@%$C_SWITCH_SITE%g
-s%@CFLAGS@%$CFLAGS%g
-s%@native_sound_lib@%$native_sound_lib%g
-s%@machfile@%$machfile%g
-s%@opsysfile@%$opsysfile%g
-s%@dynodump_arch@%$dynodump_arch%g
-s%@internal_makefile_list@%$internal_makefile_list%g
-s%@LIBS@%$LIBS%g
-s%@top_srcdir@%$top_srcdir%g
-s%@DEFS@%-DHAVE_CONFIG_H%" $ac_given_srcdir/${ac_file}.in >> $ac_file
-fi; done
-
-# These sed commands are put into ac_sed_defs when defining a macro.
-# They are broken into pieces to make the sed script easier to manage.
-# They are passed to sed as "A NAME B NAME C VALUE D", where NAME
-# is the cpp macro being defined and VALUE is the value it is being given.
-# Each defining turns into a single global substitution command.
-# Hopefully no one uses "!" as a variable value.
-# Other candidates for the sed separators, like , and @, do get used.
-#
-# ac_d sets the value in "#define NAME VALUE" lines.
-ac_dA='s!^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
-ac_dB='\([ 	][ 	]*\)[^ 	]*!\1#\2'
-ac_dC='\3'
-ac_dD='!g'
-# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
-ac_uA='s!^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
-ac_uB='\([ 	]\)!\1#\2define\3'
-ac_uC=' '
-ac_uD='\4!g'
-# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
-ac_eA='s!^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
-ac_eB='$!\1#\2define\3'
-ac_eC=' '
-ac_eD='!g'
-rm -f conftest.sed
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_SYS_TIMEB_H${ac_dB}HAVE_SYS_TIMEB_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SYS_TIMEB_H${ac_uB}HAVE_SYS_TIMEB_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SYS_TIMEB_H${ac_eB}HAVE_SYS_TIMEB_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SYS_TIME_H${ac_eB}HAVE_SYS_TIME_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_UNISTD_H${ac_eB}HAVE_UNISTD_H${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_UTIME_H${ac_dB}HAVE_UTIME_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_UTIME_H${ac_uB}HAVE_UTIME_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_UTIME_H${ac_eB}HAVE_UTIME_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SYS_WAIT_H${ac_eB}HAVE_SYS_WAIT_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_LIBINTL_H${ac_dB}HAVE_LIBINTL_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_LIBINTL_H${ac_uB}HAVE_LIBINTL_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_LIBINTL_H${ac_eB}HAVE_LIBINTL_H${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_LOCALE_H${ac_dB}HAVE_LOCALE_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_LOCALE_H${ac_uB}HAVE_LOCALE_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_LOCALE_H${ac_eB}HAVE_LOCALE_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_LINUX_VERSION_H${ac_dB}HAVE_LINUX_VERSION_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_LINUX_VERSION_H${ac_uB}HAVE_LINUX_VERSION_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_LINUX_VERSION_H${ac_eB}HAVE_LINUX_VERSION_H${ac_eC}1${ac_eD}
-${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
-${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
-${ac_eA}STDC_HEADERS${ac_eB}STDC_HEADERS${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
-${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
-${ac_eA}TIME_WITH_SYS_TIME${ac_eB}TIME_WITH_SYS_TIME${ac_eC}1${ac_eD}
-${ac_dA}SYS_SIGLIST_DECLARED${ac_dB}SYS_SIGLIST_DECLARED${ac_dC}1${ac_dD}
-${ac_uA}SYS_SIGLIST_DECLARED${ac_uB}SYS_SIGLIST_DECLARED${ac_uC}1${ac_uD}
-${ac_eA}SYS_SIGLIST_DECLARED${ac_eB}SYS_SIGLIST_DECLARED${ac_eC}1${ac_eD}
-${ac_dA}HAVE_STRUCT_UTIMBUF${ac_dB}HAVE_STRUCT_UTIMBUF${ac_dC}1${ac_dD}
-${ac_uA}HAVE_STRUCT_UTIMBUF${ac_uB}HAVE_STRUCT_UTIMBUF${ac_uC}1${ac_uD}
-${ac_eA}HAVE_STRUCT_UTIMBUF${ac_eB}HAVE_STRUCT_UTIMBUF${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
-${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
-${ac_eA}RETSIGTYPE${ac_eB}RETSIGTYPE${ac_eC}void${ac_eD}
-${ac_dA}HAVE_TIMEVAL${ac_dB}HAVE_TIMEVAL${ac_dC}1${ac_dD}
-${ac_uA}HAVE_TIMEVAL${ac_uB}HAVE_TIMEVAL${ac_uC}1${ac_uD}
-${ac_eA}HAVE_TIMEVAL${ac_eB}HAVE_TIMEVAL${ac_eC}1${ac_eD}
-${ac_dA}HAVE_TZNAME${ac_dB}HAVE_TZNAME${ac_dC}1${ac_dD}
-${ac_uA}HAVE_TZNAME${ac_uB}HAVE_TZNAME${ac_uC}1${ac_uD}
-${ac_eA}HAVE_TZNAME${ac_eB}HAVE_TZNAME${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_LONG_FILE_NAMES${ac_dB}HAVE_LONG_FILE_NAMES${ac_dC}1${ac_dD}
-${ac_uA}HAVE_LONG_FILE_NAMES${ac_uB}HAVE_LONG_FILE_NAMES${ac_uC}1${ac_uD}
-${ac_eA}HAVE_LONG_FILE_NAMES${ac_eB}HAVE_LONG_FILE_NAMES${ac_eC}1${ac_eD}
-${ac_dA}HAVE_PTHREADS${ac_dB}HAVE_PTHREADS${ac_dC}1${ac_dD}
-${ac_uA}HAVE_PTHREADS${ac_uB}HAVE_PTHREADS${ac_uC}1${ac_uD}
-${ac_eA}HAVE_PTHREADS${ac_eB}HAVE_PTHREADS${ac_eC}1${ac_eD}
-${ac_dA}HAVE_XAUTH${ac_dB}HAVE_XAUTH${ac_dC}1${ac_dD}
-${ac_uA}HAVE_XAUTH${ac_uB}HAVE_XAUTH${ac_uC}1${ac_uD}
-${ac_eA}HAVE_XAUTH${ac_eB}HAVE_XAUTH${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_OFFIX_DND${ac_dB}HAVE_OFFIX_DND${ac_dC}1${ac_dD}
-${ac_uA}HAVE_OFFIX_DND${ac_uB}HAVE_OFFIX_DND${ac_uC}1${ac_uD}
-${ac_eA}HAVE_OFFIX_DND${ac_eB}HAVE_OFFIX_DND${ac_eC}1${ac_eD}
-${ac_dA}THIS_IS_X11R6${ac_dB}THIS_IS_X11R6${ac_dC}1${ac_dD}
-${ac_uA}THIS_IS_X11R6${ac_uB}THIS_IS_X11R6${ac_uC}1${ac_uD}
-${ac_eA}THIS_IS_X11R6${ac_eB}THIS_IS_X11R6${ac_eC}1${ac_eD}
-${ac_dA}HAVE_X11_XLOCALE_H${ac_dB}HAVE_X11_XLOCALE_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_X11_XLOCALE_H${ac_uB}HAVE_X11_XLOCALE_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_X11_XLOCALE_H${ac_eB}HAVE_X11_XLOCALE_H${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
-${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
-${ac_eA}HAVE_LIBM${ac_eB}HAVE_LIBM${ac_eC}1${ac_eD}
-${ac_dA}HAVE_XPM${ac_dB}HAVE_XPM${ac_dC}1${ac_dD}
-${ac_uA}HAVE_XPM${ac_uB}HAVE_XPM${ac_uC}1${ac_uD}
-${ac_eA}HAVE_XPM${ac_eB}HAVE_XPM${ac_eC}1${ac_eD}
-${ac_dA}HAVE_XMU${ac_dB}HAVE_XMU${ac_dC}1${ac_dD}
-${ac_uA}HAVE_XMU${ac_uB}HAVE_XMU${ac_uC}1${ac_uD}
-${ac_eA}HAVE_XMU${ac_eB}HAVE_XMU${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_XFACE${ac_dB}HAVE_XFACE${ac_dC}1${ac_dD}
-${ac_uA}HAVE_XFACE${ac_uB}HAVE_XFACE${ac_uC}1${ac_uD}
-${ac_eA}HAVE_XFACE${ac_eB}HAVE_XFACE${ac_eC}1${ac_eD}
-${ac_dA}HAVE_GIF${ac_dB}HAVE_GIF${ac_dC}1${ac_dD}
-${ac_uA}HAVE_GIF${ac_uB}HAVE_GIF${ac_uC}1${ac_uD}
-${ac_eA}HAVE_GIF${ac_eB}HAVE_GIF${ac_eC}1${ac_eD}
-${ac_dA}HAVE_JPEG${ac_dB}HAVE_JPEG${ac_dC}1${ac_dD}
-${ac_uA}HAVE_JPEG${ac_uB}HAVE_JPEG${ac_uC}1${ac_uD}
-${ac_eA}HAVE_JPEG${ac_eB}HAVE_JPEG${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_PNG${ac_dB}HAVE_PNG${ac_dC}1${ac_dD}
-${ac_uA}HAVE_PNG${ac_uB}HAVE_PNG${ac_uC}1${ac_uD}
-${ac_eA}HAVE_PNG${ac_eB}HAVE_PNG${ac_eC}1${ac_eD}
-${ac_dA}HAVE_MENUBARS${ac_dB}HAVE_MENUBARS${ac_dC}1${ac_dD}
-${ac_uA}HAVE_MENUBARS${ac_uB}HAVE_MENUBARS${ac_uC}1${ac_uD}
-${ac_eA}HAVE_MENUBARS${ac_eB}HAVE_MENUBARS${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SCROLLBARS${ac_dB}HAVE_SCROLLBARS${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SCROLLBARS${ac_uB}HAVE_SCROLLBARS${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SCROLLBARS${ac_eB}HAVE_SCROLLBARS${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_DIALOGS${ac_dB}HAVE_DIALOGS${ac_dC}1${ac_dD}
-${ac_uA}HAVE_DIALOGS${ac_uB}HAVE_DIALOGS${ac_uC}1${ac_uD}
-${ac_eA}HAVE_DIALOGS${ac_eB}HAVE_DIALOGS${ac_eC}1${ac_eD}
-${ac_dA}LWLIB_MENUBARS_LUCID${ac_dB}LWLIB_MENUBARS_LUCID${ac_dC}1${ac_dD}
-${ac_uA}LWLIB_MENUBARS_LUCID${ac_uB}LWLIB_MENUBARS_LUCID${ac_uC}1${ac_uD}
-${ac_eA}LWLIB_MENUBARS_LUCID${ac_eB}LWLIB_MENUBARS_LUCID${ac_eC}1${ac_eD}
-${ac_dA}LWLIB_SCROLLBARS_LUCID${ac_dB}LWLIB_SCROLLBARS_LUCID${ac_dC}1${ac_dD}
-${ac_uA}LWLIB_SCROLLBARS_LUCID${ac_uB}LWLIB_SCROLLBARS_LUCID${ac_uC}1${ac_uD}
-${ac_eA}LWLIB_SCROLLBARS_LUCID${ac_eB}LWLIB_SCROLLBARS_LUCID${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}LWLIB_DIALOGS_ATHENA${ac_dB}LWLIB_DIALOGS_ATHENA${ac_dC}1${ac_dD}
-${ac_uA}LWLIB_DIALOGS_ATHENA${ac_uB}LWLIB_DIALOGS_ATHENA${ac_uC}1${ac_uD}
-${ac_eA}LWLIB_DIALOGS_ATHENA${ac_eB}LWLIB_DIALOGS_ATHENA${ac_eC}1${ac_eD}
-${ac_dA}HAVE_H_ERRNO${ac_dB}HAVE_H_ERRNO${ac_dC}1${ac_dD}
-${ac_uA}HAVE_H_ERRNO${ac_uB}HAVE_H_ERRNO${ac_uC}1${ac_uD}
-${ac_eA}HAVE_H_ERRNO${ac_eB}HAVE_H_ERRNO${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SIGSETJMP${ac_dB}HAVE_SIGSETJMP${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SIGSETJMP${ac_uB}HAVE_SIGSETJMP${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SIGSETJMP${ac_eB}HAVE_SIGSETJMP${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}LOCALTIME_CACHE${ac_dB}LOCALTIME_CACHE${ac_dC}1${ac_dD}
-${ac_uA}LOCALTIME_CACHE${ac_uB}LOCALTIME_CACHE${ac_uC}1${ac_uD}
-${ac_eA}LOCALTIME_CACHE${ac_eB}LOCALTIME_CACHE${ac_eC}1${ac_eD}
-${ac_dA}HAVE_INLINE${ac_dB}HAVE_INLINE${ac_dC}1${ac_dD}
-${ac_uA}HAVE_INLINE${ac_uB}HAVE_INLINE${ac_uC}1${ac_uD}
-${ac_eA}HAVE_INLINE${ac_eB}HAVE_INLINE${ac_eC}1${ac_eD}
-${ac_dA}HAVE_ALLOCA_H${ac_dB}HAVE_ALLOCA_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_ALLOCA_H${ac_uB}HAVE_ALLOCA_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_ALLOCA_H${ac_eB}HAVE_ALLOCA_H${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_ALLOCA${ac_dB}HAVE_ALLOCA${ac_dC}1${ac_dD}
-${ac_uA}HAVE_ALLOCA${ac_uB}HAVE_ALLOCA${ac_uC}1${ac_uD}
-${ac_eA}HAVE_ALLOCA${ac_eB}HAVE_ALLOCA${ac_eC}1${ac_eD}
-${ac_dA}HAVE_STRCOLL${ac_dB}HAVE_STRCOLL${ac_dC}1${ac_dD}
-${ac_uA}HAVE_STRCOLL${ac_uB}HAVE_STRCOLL${ac_uC}1${ac_uD}
-${ac_eA}HAVE_STRCOLL${ac_eB}HAVE_STRCOLL${ac_eC}1${ac_eD}
-${ac_dA}SIZEOF_SHORT${ac_dB}SIZEOF_SHORT${ac_dC}2${ac_dD}
-${ac_uA}SIZEOF_SHORT${ac_uB}SIZEOF_SHORT${ac_uC}2${ac_uD}
-${ac_eA}SIZEOF_SHORT${ac_eB}SIZEOF_SHORT${ac_eC}2${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}SIZEOF_INT${ac_dB}SIZEOF_INT${ac_dC}4${ac_dD}
-${ac_uA}SIZEOF_INT${ac_uB}SIZEOF_INT${ac_uC}4${ac_uD}
-${ac_eA}SIZEOF_INT${ac_eB}SIZEOF_INT${ac_eC}4${ac_eD}
-${ac_dA}SIZEOF_LONG${ac_dB}SIZEOF_LONG${ac_dC}4${ac_dD}
-${ac_uA}SIZEOF_LONG${ac_uB}SIZEOF_LONG${ac_uC}4${ac_uD}
-${ac_eA}SIZEOF_LONG${ac_eB}SIZEOF_LONG${ac_eC}4${ac_eD}
-${ac_dA}HAVE_ACOSH${ac_dB}HAVE_ACOSH${ac_dC}1${ac_dD}
-${ac_uA}HAVE_ACOSH${ac_uB}HAVE_ACOSH${ac_uC}1${ac_uD}
-${ac_eA}HAVE_ACOSH${ac_eB}HAVE_ACOSH${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_ASINH${ac_dB}HAVE_ASINH${ac_dC}1${ac_dD}
-${ac_uA}HAVE_ASINH${ac_uB}HAVE_ASINH${ac_uC}1${ac_uD}
-${ac_eA}HAVE_ASINH${ac_eB}HAVE_ASINH${ac_eC}1${ac_eD}
-${ac_dA}HAVE_ATANH${ac_dB}HAVE_ATANH${ac_dC}1${ac_dD}
-${ac_uA}HAVE_ATANH${ac_uB}HAVE_ATANH${ac_uC}1${ac_uD}
-${ac_eA}HAVE_ATANH${ac_eB}HAVE_ATANH${ac_eC}1${ac_eD}
-${ac_dA}HAVE_CBRT${ac_dB}HAVE_CBRT${ac_dC}1${ac_dD}
-${ac_uA}HAVE_CBRT${ac_uB}HAVE_CBRT${ac_uC}1${ac_uD}
-${ac_eA}HAVE_CBRT${ac_eB}HAVE_CBRT${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_CLOSEDIR${ac_dB}HAVE_CLOSEDIR${ac_dC}1${ac_dD}
-${ac_uA}HAVE_CLOSEDIR${ac_uB}HAVE_CLOSEDIR${ac_uC}1${ac_uD}
-${ac_eA}HAVE_CLOSEDIR${ac_eB}HAVE_CLOSEDIR${ac_eC}1${ac_eD}
-${ac_dA}HAVE_DUP2${ac_dB}HAVE_DUP2${ac_dC}1${ac_dD}
-${ac_uA}HAVE_DUP2${ac_uB}HAVE_DUP2${ac_uC}1${ac_uD}
-${ac_eA}HAVE_DUP2${ac_eB}HAVE_DUP2${ac_eC}1${ac_eD}
-${ac_dA}HAVE_FMOD${ac_dB}HAVE_FMOD${ac_dC}1${ac_dD}
-${ac_uA}HAVE_FMOD${ac_uB}HAVE_FMOD${ac_uC}1${ac_uD}
-${ac_eA}HAVE_FMOD${ac_eB}HAVE_FMOD${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_FPATHCONF${ac_dB}HAVE_FPATHCONF${ac_dC}1${ac_dD}
-${ac_uA}HAVE_FPATHCONF${ac_uB}HAVE_FPATHCONF${ac_uC}1${ac_uD}
-${ac_eA}HAVE_FPATHCONF${ac_eB}HAVE_FPATHCONF${ac_eC}1${ac_eD}
-${ac_dA}HAVE_FREXP${ac_dB}HAVE_FREXP${ac_dC}1${ac_dD}
-${ac_uA}HAVE_FREXP${ac_uB}HAVE_FREXP${ac_uC}1${ac_uD}
-${ac_eA}HAVE_FREXP${ac_eB}HAVE_FREXP${ac_eC}1${ac_eD}
-${ac_dA}HAVE_FTIME${ac_dB}HAVE_FTIME${ac_dC}1${ac_dD}
-${ac_uA}HAVE_FTIME${ac_uB}HAVE_FTIME${ac_uC}1${ac_uD}
-${ac_eA}HAVE_FTIME${ac_eB}HAVE_FTIME${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_GETHOSTNAME${ac_dB}HAVE_GETHOSTNAME${ac_dC}1${ac_dD}
-${ac_uA}HAVE_GETHOSTNAME${ac_uB}HAVE_GETHOSTNAME${ac_uC}1${ac_uD}
-${ac_eA}HAVE_GETHOSTNAME${ac_eB}HAVE_GETHOSTNAME${ac_eC}1${ac_eD}
-${ac_dA}HAVE_GETPAGESIZE${ac_dB}HAVE_GETPAGESIZE${ac_dC}1${ac_dD}
-${ac_uA}HAVE_GETPAGESIZE${ac_uB}HAVE_GETPAGESIZE${ac_uC}1${ac_uD}
-${ac_eA}HAVE_GETPAGESIZE${ac_eB}HAVE_GETPAGESIZE${ac_eC}1${ac_eD}
-${ac_dA}HAVE_GETTIMEOFDAY${ac_dB}HAVE_GETTIMEOFDAY${ac_dC}1${ac_dD}
-${ac_uA}HAVE_GETTIMEOFDAY${ac_uB}HAVE_GETTIMEOFDAY${ac_uC}1${ac_uD}
-${ac_eA}HAVE_GETTIMEOFDAY${ac_eB}HAVE_GETTIMEOFDAY${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_GETCWD${ac_dB}HAVE_GETCWD${ac_dC}1${ac_dD}
-${ac_uA}HAVE_GETCWD${ac_uB}HAVE_GETCWD${ac_uC}1${ac_uD}
-${ac_eA}HAVE_GETCWD${ac_eB}HAVE_GETCWD${ac_eC}1${ac_eD}
-${ac_dA}HAVE_GETWD${ac_dB}HAVE_GETWD${ac_dC}1${ac_dD}
-${ac_uA}HAVE_GETWD${ac_uB}HAVE_GETWD${ac_uC}1${ac_uD}
-${ac_eA}HAVE_GETWD${ac_eB}HAVE_GETWD${ac_eC}1${ac_eD}
-${ac_dA}HAVE_LRAND48${ac_dB}HAVE_LRAND48${ac_dC}1${ac_dD}
-${ac_uA}HAVE_LRAND48${ac_uB}HAVE_LRAND48${ac_uC}1${ac_uD}
-${ac_eA}HAVE_LRAND48${ac_eB}HAVE_LRAND48${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_MKDIR${ac_dB}HAVE_MKDIR${ac_dC}1${ac_dD}
-${ac_uA}HAVE_MKDIR${ac_uB}HAVE_MKDIR${ac_uC}1${ac_uD}
-${ac_eA}HAVE_MKDIR${ac_eB}HAVE_MKDIR${ac_eC}1${ac_eD}
-${ac_dA}HAVE_MKTIME${ac_dB}HAVE_MKTIME${ac_dC}1${ac_dD}
-${ac_uA}HAVE_MKTIME${ac_uB}HAVE_MKTIME${ac_uC}1${ac_uD}
-${ac_eA}HAVE_MKTIME${ac_eB}HAVE_MKTIME${ac_eC}1${ac_eD}
-${ac_dA}HAVE_PERROR${ac_dB}HAVE_PERROR${ac_dC}1${ac_dD}
-${ac_uA}HAVE_PERROR${ac_uB}HAVE_PERROR${ac_uC}1${ac_uD}
-${ac_eA}HAVE_PERROR${ac_eB}HAVE_PERROR${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_RANDOM${ac_dB}HAVE_RANDOM${ac_dC}1${ac_dD}
-${ac_uA}HAVE_RANDOM${ac_uB}HAVE_RANDOM${ac_uC}1${ac_uD}
-${ac_eA}HAVE_RANDOM${ac_eB}HAVE_RANDOM${ac_eC}1${ac_eD}
-${ac_dA}HAVE_REALPATH${ac_dB}HAVE_REALPATH${ac_dC}1${ac_dD}
-${ac_uA}HAVE_REALPATH${ac_uB}HAVE_REALPATH${ac_uC}1${ac_uD}
-${ac_eA}HAVE_REALPATH${ac_eB}HAVE_REALPATH${ac_eC}1${ac_eD}
-${ac_dA}HAVE_RENAME${ac_dB}HAVE_RENAME${ac_dC}1${ac_dD}
-${ac_uA}HAVE_RENAME${ac_uB}HAVE_RENAME${ac_uC}1${ac_uD}
-${ac_eA}HAVE_RENAME${ac_eB}HAVE_RENAME${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_RES_INIT${ac_dB}HAVE_RES_INIT${ac_dC}1${ac_dD}
-${ac_uA}HAVE_RES_INIT${ac_uB}HAVE_RES_INIT${ac_uC}1${ac_uD}
-${ac_eA}HAVE_RES_INIT${ac_eB}HAVE_RES_INIT${ac_eC}1${ac_eD}
-${ac_dA}HAVE_RINT${ac_dB}HAVE_RINT${ac_dC}1${ac_dD}
-${ac_uA}HAVE_RINT${ac_uB}HAVE_RINT${ac_uC}1${ac_uD}
-${ac_eA}HAVE_RINT${ac_eB}HAVE_RINT${ac_eC}1${ac_eD}
-${ac_dA}HAVE_RMDIR${ac_dB}HAVE_RMDIR${ac_dC}1${ac_dD}
-${ac_uA}HAVE_RMDIR${ac_uB}HAVE_RMDIR${ac_uC}1${ac_uD}
-${ac_eA}HAVE_RMDIR${ac_eB}HAVE_RMDIR${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_SELECT${ac_dB}HAVE_SELECT${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SELECT${ac_uB}HAVE_SELECT${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SELECT${ac_eB}HAVE_SELECT${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SETITIMER${ac_dB}HAVE_SETITIMER${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SETITIMER${ac_uB}HAVE_SETITIMER${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SETITIMER${ac_eB}HAVE_SETITIMER${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SETPGID${ac_dB}HAVE_SETPGID${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SETPGID${ac_uB}HAVE_SETPGID${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SETPGID${ac_eB}HAVE_SETPGID${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_SETLOCALE${ac_dB}HAVE_SETLOCALE${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SETLOCALE${ac_uB}HAVE_SETLOCALE${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SETLOCALE${ac_eB}HAVE_SETLOCALE${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SETSID${ac_dB}HAVE_SETSID${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SETSID${ac_uB}HAVE_SETSID${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SETSID${ac_eB}HAVE_SETSID${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SIGBLOCK${ac_dB}HAVE_SIGBLOCK${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SIGBLOCK${ac_uB}HAVE_SIGBLOCK${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SIGBLOCK${ac_eB}HAVE_SIGBLOCK${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_SIGPROCMASK${ac_dB}HAVE_SIGPROCMASK${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SIGPROCMASK${ac_uB}HAVE_SIGPROCMASK${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SIGPROCMASK${ac_eB}HAVE_SIGPROCMASK${ac_eC}1${ac_eD}
-${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
-${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
-${ac_eA}HAVE_STRCASECMP${ac_eB}HAVE_STRCASECMP${ac_eC}1${ac_eD}
-${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
-${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
-${ac_eA}HAVE_STRERROR${ac_eB}HAVE_STRERROR${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_TZSET${ac_dB}HAVE_TZSET${ac_dC}1${ac_dD}
-${ac_uA}HAVE_TZSET${ac_uB}HAVE_TZSET${ac_uC}1${ac_uD}
-${ac_eA}HAVE_TZSET${ac_eB}HAVE_TZSET${ac_eC}1${ac_eD}
-${ac_dA}HAVE_UTIMES${ac_dB}HAVE_UTIMES${ac_dC}1${ac_dD}
-${ac_uA}HAVE_UTIMES${ac_uB}HAVE_UTIMES${ac_uC}1${ac_uD}
-${ac_eA}HAVE_UTIMES${ac_eB}HAVE_UTIMES${ac_eC}1${ac_eD}
-${ac_dA}HAVE_WAITPID${ac_dB}HAVE_WAITPID${ac_dC}1${ac_dD}
-${ac_uA}HAVE_WAITPID${ac_uB}HAVE_WAITPID${ac_uC}1${ac_uD}
-${ac_eA}HAVE_WAITPID${ac_eB}HAVE_WAITPID${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_MMAP${ac_dB}HAVE_MMAP${ac_dC}1${ac_dD}
-${ac_uA}HAVE_MMAP${ac_uB}HAVE_MMAP${ac_uC}1${ac_uD}
-${ac_eA}HAVE_MMAP${ac_eB}HAVE_MMAP${ac_eC}1${ac_eD}
-${ac_dA}HAVE_SOCKETS${ac_dB}HAVE_SOCKETS${ac_dC}1${ac_dD}
-${ac_uA}HAVE_SOCKETS${ac_uB}HAVE_SOCKETS${ac_uC}1${ac_uD}
-${ac_eA}HAVE_SOCKETS${ac_eB}HAVE_SOCKETS${ac_eC}1${ac_eD}
-${ac_dA}SYSV_SYSTEM_DIR${ac_dB}SYSV_SYSTEM_DIR${ac_dC}1${ac_dD}
-${ac_uA}SYSV_SYSTEM_DIR${ac_uB}SYSV_SYSTEM_DIR${ac_uC}1${ac_uD}
-${ac_eA}SYSV_SYSTEM_DIR${ac_eB}SYSV_SYSTEM_DIR${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_TERMIOS${ac_dB}HAVE_TERMIOS${ac_dC}1${ac_dD}
-${ac_uA}HAVE_TERMIOS${ac_uB}HAVE_TERMIOS${ac_uC}1${ac_uD}
-${ac_eA}HAVE_TERMIOS${ac_eB}HAVE_TERMIOS${ac_eC}1${ac_eD}
-${ac_dA}NLIST_STRUCT${ac_dB}NLIST_STRUCT${ac_dC}1${ac_dD}
-${ac_uA}NLIST_STRUCT${ac_uB}NLIST_STRUCT${ac_uC}1${ac_uD}
-${ac_eA}NLIST_STRUCT${ac_eB}NLIST_STRUCT${ac_eC}1${ac_eD}
-${ac_dA}HAVE_NCURSES${ac_dB}HAVE_NCURSES${ac_dC}1${ac_dD}
-${ac_uA}HAVE_NCURSES${ac_uB}HAVE_NCURSES${ac_uC}1${ac_uD}
-${ac_eA}HAVE_NCURSES${ac_eB}HAVE_NCURSES${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_NCURSES_TERM_H${ac_dB}HAVE_NCURSES_TERM_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_NCURSES_TERM_H${ac_uB}HAVE_NCURSES_TERM_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_NCURSES_TERM_H${ac_eB}HAVE_NCURSES_TERM_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_NCURSES_CURSES_H${ac_dB}HAVE_NCURSES_CURSES_H${ac_dC}1${ac_dD}
-${ac_uA}HAVE_NCURSES_CURSES_H${ac_uB}HAVE_NCURSES_CURSES_H${ac_uC}1${ac_uD}
-${ac_eA}HAVE_NCURSES_CURSES_H${ac_eB}HAVE_NCURSES_CURSES_H${ac_eC}1${ac_eD}
-${ac_dA}HAVE_LIBDB${ac_dB}HAVE_LIBDB${ac_dC}1${ac_dD}
-${ac_uA}HAVE_LIBDB${ac_uB}HAVE_LIBDB${ac_uC}1${ac_uD}
-${ac_eA}HAVE_LIBDB${ac_eB}HAVE_LIBDB${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_BERKELEY_DB${ac_dB}HAVE_BERKELEY_DB${ac_dC}1${ac_dD}
-${ac_uA}HAVE_BERKELEY_DB${ac_uB}HAVE_BERKELEY_DB${ac_uC}1${ac_uD}
-${ac_eA}HAVE_BERKELEY_DB${ac_eB}HAVE_BERKELEY_DB${ac_eC}1${ac_eD}
-${ac_dA}HAVE_LIBGDBM${ac_dB}HAVE_LIBGDBM${ac_dC}1${ac_dD}
-${ac_uA}HAVE_LIBGDBM${ac_uB}HAVE_LIBGDBM${ac_uC}1${ac_uD}
-${ac_eA}HAVE_LIBGDBM${ac_eB}HAVE_LIBGDBM${ac_eC}1${ac_eD}
-${ac_dA}HAVE_DBM${ac_dB}HAVE_DBM${ac_dC}1${ac_dD}
-${ac_uA}HAVE_DBM${ac_uB}HAVE_DBM${ac_uC}1${ac_uD}
-${ac_eA}HAVE_DBM${ac_eB}HAVE_DBM${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_GNU_DBM${ac_dB}HAVE_GNU_DBM${ac_dC}1${ac_dD}
-${ac_uA}HAVE_GNU_DBM${ac_uB}HAVE_GNU_DBM${ac_uC}1${ac_uD}
-${ac_eA}HAVE_GNU_DBM${ac_eB}HAVE_GNU_DBM${ac_eC}1${ac_eD}
-${ac_dA}EMACS_VERSION${ac_dB}EMACS_VERSION${ac_dC}20.0-b32${ac_dD}
-${ac_uA}EMACS_VERSION${ac_uB}EMACS_VERSION${ac_uC}20.0-b32${ac_uD}
-${ac_eA}EMACS_VERSION${ac_eB}EMACS_VERSION${ac_eC}20.0-b32${ac_eD}
-${ac_dA}EMACS_CONFIGURATION${ac_dB}EMACS_CONFIGURATION${ac_dC}"i586-unknown-linux2.0.27"${ac_dD}
-${ac_uA}EMACS_CONFIGURATION${ac_uB}EMACS_CONFIGURATION${ac_uC}"i586-unknown-linux2.0.27"${ac_uD}
-${ac_eA}EMACS_CONFIGURATION${ac_eB}EMACS_CONFIGURATION${ac_eC}"i586-unknown-linux2.0.27"${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}config_machfile${ac_dB}config_machfile${ac_dC}"m/intel386.h"${ac_dD}
-${ac_uA}config_machfile${ac_uB}config_machfile${ac_uC}"m/intel386.h"${ac_uD}
-${ac_eA}config_machfile${ac_eB}config_machfile${ac_eC}"m/intel386.h"${ac_eD}
-${ac_dA}config_opsysfile${ac_dB}config_opsysfile${ac_dC}"s/linux.h"${ac_dD}
-${ac_uA}config_opsysfile${ac_uB}config_opsysfile${ac_uC}"s/linux.h"${ac_uD}
-${ac_eA}config_opsysfile${ac_eB}config_opsysfile${ac_eC}"s/linux.h"${ac_eD}
-${ac_dA}LD_SWITCH_X_SITE${ac_dB}LD_SWITCH_X_SITE${ac_dC}-L/usr/X11R6/lib${ac_dD}
-${ac_uA}LD_SWITCH_X_SITE${ac_uB}LD_SWITCH_X_SITE${ac_uC}-L/usr/X11R6/lib${ac_uD}
-${ac_eA}LD_SWITCH_X_SITE${ac_eB}LD_SWITCH_X_SITE${ac_eC}-L/usr/X11R6/lib${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}LD_SWITCH_X_SITE_AUX${ac_dB}LD_SWITCH_X_SITE_AUX${ac_dC}${ac_dD}
-${ac_uA}LD_SWITCH_X_SITE_AUX${ac_uB}LD_SWITCH_X_SITE_AUX${ac_uC}${ac_uD}
-${ac_eA}LD_SWITCH_X_SITE_AUX${ac_eB}LD_SWITCH_X_SITE_AUX${ac_eC}${ac_eD}
-${ac_dA}C_SWITCH_X_SITE${ac_dB}C_SWITCH_X_SITE${ac_dC}-I/usr/X11R6/include${ac_dD}
-${ac_uA}C_SWITCH_X_SITE${ac_uB}C_SWITCH_X_SITE${ac_uC}-I/usr/X11R6/include${ac_uD}
-${ac_eA}C_SWITCH_X_SITE${ac_eB}C_SWITCH_X_SITE${ac_eC}-I/usr/X11R6/include${ac_eD}
-${ac_dA}LD_SWITCH_SITE${ac_dB}LD_SWITCH_SITE${ac_dC}${ac_dD}
-${ac_uA}LD_SWITCH_SITE${ac_uB}LD_SWITCH_SITE${ac_uC}${ac_uD}
-${ac_eA}LD_SWITCH_SITE${ac_eB}LD_SWITCH_SITE${ac_eC}${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}C_SWITCH_SITE${ac_dB}C_SWITCH_SITE${ac_dC}${ac_dD}
-${ac_uA}C_SWITCH_SITE${ac_uB}C_SWITCH_SITE${ac_uC}${ac_uD}
-${ac_eA}C_SWITCH_SITE${ac_eB}C_SWITCH_SITE${ac_eC}${ac_eD}
-${ac_dA}UNEXEC_SRC${ac_dB}UNEXEC_SRC${ac_dC}unexelf.c${ac_dD}
-${ac_uA}UNEXEC_SRC${ac_uB}UNEXEC_SRC${ac_uC}unexelf.c${ac_uD}
-${ac_eA}UNEXEC_SRC${ac_eB}UNEXEC_SRC${ac_eC}unexelf.c${ac_eD}
-${ac_dA}HAVE_X_WINDOWS${ac_dB}HAVE_X_WINDOWS${ac_dC}1${ac_dD}
-${ac_uA}HAVE_X_WINDOWS${ac_uB}HAVE_X_WINDOWS${ac_uC}1${ac_uD}
-${ac_eA}HAVE_X_WINDOWS${ac_eB}HAVE_X_WINDOWS${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}HAVE_XFREE386${ac_dB}HAVE_XFREE386${ac_dC}1${ac_dD}
-${ac_uA}HAVE_XFREE386${ac_uB}HAVE_XFREE386${ac_uC}1${ac_uD}
-${ac_eA}HAVE_XFREE386${ac_eB}HAVE_XFREE386${ac_eC}1${ac_eD}
-${ac_dA}GNU_MALLOC${ac_dB}GNU_MALLOC${ac_dC}1${ac_dD}
-${ac_uA}GNU_MALLOC${ac_uB}GNU_MALLOC${ac_uC}1${ac_uD}
-${ac_eA}GNU_MALLOC${ac_eB}GNU_MALLOC${ac_eC}1${ac_eD}
-${ac_dA}REL_ALLOC${ac_dB}REL_ALLOC${ac_dC}1${ac_dD}
-${ac_uA}REL_ALLOC${ac_uB}REL_ALLOC${ac_uC}1${ac_uD}
-${ac_eA}REL_ALLOC${ac_eB}REL_ALLOC${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}LISP_FLOAT_TYPE${ac_dB}LISP_FLOAT_TYPE${ac_dC}1${ac_dD}
-${ac_uA}LISP_FLOAT_TYPE${ac_uB}LISP_FLOAT_TYPE${ac_uC}1${ac_uD}
-${ac_eA}LISP_FLOAT_TYPE${ac_eB}LISP_FLOAT_TYPE${ac_eC}1${ac_eD}
-${ac_dA}HAVE_TOOLBARS${ac_dB}HAVE_TOOLBARS${ac_dC}1${ac_dD}
-${ac_uA}HAVE_TOOLBARS${ac_uB}HAVE_TOOLBARS${ac_uC}1${ac_uD}
-${ac_eA}HAVE_TOOLBARS${ac_eB}HAVE_TOOLBARS${ac_eC}1${ac_eD}
-${ac_dA}HAVE_TTY${ac_dB}HAVE_TTY${ac_dC}1${ac_dD}
-${ac_uA}HAVE_TTY${ac_uB}HAVE_TTY${ac_uC}1${ac_uD}
-${ac_eA}HAVE_TTY${ac_eB}HAVE_TTY${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}MULE${ac_dB}MULE${ac_dC}1${ac_dD}
-${ac_uA}MULE${ac_uB}MULE${ac_uC}1${ac_uD}
-${ac_eA}MULE${ac_eB}MULE${ac_eC}1${ac_eD}
-${ac_dA}USE_GCC${ac_dB}USE_GCC${ac_dC}1${ac_dD}
-${ac_uA}USE_GCC${ac_uB}USE_GCC${ac_uC}1${ac_uD}
-${ac_eA}USE_GCC${ac_eB}USE_GCC${ac_eC}1${ac_eD}
-${ac_dA}CONST_IS_LOSING${ac_dB}CONST_IS_LOSING${ac_dC}1${ac_dD}
-${ac_uA}CONST_IS_LOSING${ac_uB}CONST_IS_LOSING${ac_uC}1${ac_uD}
-${ac_eA}CONST_IS_LOSING${ac_eB}CONST_IS_LOSING${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}USE_ASSERTIONS${ac_dB}USE_ASSERTIONS${ac_dC}1${ac_dD}
-${ac_uA}USE_ASSERTIONS${ac_uB}USE_ASSERTIONS${ac_uC}1${ac_uD}
-${ac_eA}USE_ASSERTIONS${ac_eB}USE_ASSERTIONS${ac_eC}1${ac_eD}
-${ac_dA}DEBUG_XEMACS${ac_dB}DEBUG_XEMACS${ac_dC}1${ac_dD}
-${ac_uA}DEBUG_XEMACS${ac_uB}DEBUG_XEMACS${ac_uC}1${ac_uD}
-${ac_eA}DEBUG_XEMACS${ac_eB}DEBUG_XEMACS${ac_eC}1${ac_eD}
-${ac_dA}MEMORY_USAGE_STATS${ac_dB}MEMORY_USAGE_STATS${ac_dC}1${ac_dD}
-${ac_uA}MEMORY_USAGE_STATS${ac_uB}MEMORY_USAGE_STATS${ac_uC}1${ac_uD}
-${ac_eA}MEMORY_USAGE_STATS${ac_eB}MEMORY_USAGE_STATS${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}ERROR_CHECK_EXTENTS${ac_dB}ERROR_CHECK_EXTENTS${ac_dC}1${ac_dD}
-${ac_uA}ERROR_CHECK_EXTENTS${ac_uB}ERROR_CHECK_EXTENTS${ac_uC}1${ac_uD}
-${ac_eA}ERROR_CHECK_EXTENTS${ac_eB}ERROR_CHECK_EXTENTS${ac_eC}1${ac_eD}
-${ac_dA}ERROR_CHECK_TYPECHECK${ac_dB}ERROR_CHECK_TYPECHECK${ac_dC}1${ac_dD}
-${ac_uA}ERROR_CHECK_TYPECHECK${ac_uB}ERROR_CHECK_TYPECHECK${ac_uC}1${ac_uD}
-${ac_eA}ERROR_CHECK_TYPECHECK${ac_eB}ERROR_CHECK_TYPECHECK${ac_eC}1${ac_eD}
-${ac_dA}ERROR_CHECK_BUFPOS${ac_dB}ERROR_CHECK_BUFPOS${ac_dC}1${ac_dD}
-${ac_uA}ERROR_CHECK_BUFPOS${ac_uB}ERROR_CHECK_BUFPOS${ac_uC}1${ac_uD}
-${ac_eA}ERROR_CHECK_BUFPOS${ac_eB}ERROR_CHECK_BUFPOS${ac_eC}1${ac_eD}
-CONFEOF
-cat >> conftest.sed <<CONFEOF
-${ac_dA}ERROR_CHECK_GC${ac_dB}ERROR_CHECK_GC${ac_dC}1${ac_dD}
-${ac_uA}ERROR_CHECK_GC${ac_uB}ERROR_CHECK_GC${ac_uC}1${ac_uD}
-${ac_eA}ERROR_CHECK_GC${ac_eB}ERROR_CHECK_GC${ac_eC}1${ac_eD}
-${ac_dA}ERROR_CHECK_MALLOC${ac_dB}ERROR_CHECK_MALLOC${ac_dC}1${ac_dD}
-${ac_uA}ERROR_CHECK_MALLOC${ac_uB}ERROR_CHECK_MALLOC${ac_uC}1${ac_uD}
-${ac_eA}ERROR_CHECK_MALLOC${ac_eB}ERROR_CHECK_MALLOC${ac_eC}1${ac_eD}
-${ac_dA}NO_UNION_TYPE${ac_dB}NO_UNION_TYPE${ac_dC}1${ac_dD}
-${ac_uA}NO_UNION_TYPE${ac_uB}NO_UNION_TYPE${ac_uC}1${ac_uD}
-${ac_eA}NO_UNION_TYPE${ac_eB}NO_UNION_TYPE${ac_eC}1${ac_eD}
-CONFEOF
-# This sed command replaces #undef's with comments.  This is necessary, for
-# example, in the case of _POSIX_SOURCE, which is predefined and required
-# on some systems where configure will not decide to define it in
-# src/config.h.
-cat >> conftest.sed <<\CONFEOF
-s,^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
-CONFEOF
-rm -f conftest.h
-# Break up the sed commands because old seds have small limits.
-ac_max_sed_lines=20
-
-CONFIG_HEADERS=${CONFIG_HEADERS-"src/config.h"}
-for ac_file in .. ${CONFIG_HEADERS}; do if test "x$ac_file" != x..; then
-  echo creating $ac_file
-
-  cp $ac_given_srcdir/$ac_file.in conftest.h1
-  cp conftest.sed conftest.stm
-  while :
-  do
-    ac_lines=`grep -c . conftest.stm`
-    if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
-    rm -f conftest.s1 conftest.s2 conftest.h2
-    sed ${ac_max_sed_lines}q conftest.stm > conftest.s1 # Like head -20.
-    sed 1,${ac_max_sed_lines}d conftest.stm > conftest.s2 # Like tail +21.
-    sed -f conftest.s1 < conftest.h1 > conftest.h2
-    rm -f conftest.s1 conftest.h1 conftest.stm
-    mv conftest.h2 conftest.h1
-    mv conftest.s2 conftest.stm
-  done
-  rm -f conftest.stm conftest.h
-  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
-  cat conftest.h1 >> conftest.h
-  rm -f conftest.h1
-  if cmp -s $ac_file conftest.h 2>/dev/null; then
-    # The file exists and we would not be changing it.
-    echo "$ac_file is unchanged"
-    rm -f conftest.h
-  else
-    rm -f $ac_file
-    mv conftest.h $ac_file
-  fi
-fi; done
-rm -f conftest.sed
-
-
-
-
-echo "creating src/Makefile"; topsrcdir=/usr/local/xemacs/xemacs-20.0-b32; ( cd ./src; rm -f junk.c; sed -e 's/^# Generated.*//' -e 's%/\*\*/#.*%%' < Makefile.in > junk.c; eval `echo ${CPP} -I. -I${topsrcdir}/src ${CPPFLAGS} junk.c \>junk.cpp`; < junk.cpp sed -e 's/^#.*//' -e 's/^[ \f\t][ \f\t]*$//' -e 's/^ / /' | sed -n -e '/^..*$/p' > Makefile.new; chmod 444 Makefile.new; mv -f Makefile.new Makefile; rm -f junk.c junk.cpp; )
-echo "creating lwlib/Makefile"; topsrcdir=/usr/local/xemacs/xemacs-20.0-b32; ( cd ./lwlib; rm -f junk.c; sed -e 's/^# Generated.*//' -e 's%/\*\*/#.*%%' < Makefile.in > junk.c; eval `echo ${CPP} -I. -I${topsrcdir}/src ${CPPFLAGS} junk.c \>junk.cpp`; < junk.cpp sed -e 's/^#.*//' -e 's/^[ \f\t][ \f\t]*$//' -e 's/^ / /' | sed -n -e '/^..*$/p' > Makefile.new; chmod 444 Makefile.new; mv -f Makefile.new Makefile; rm -f junk.c junk.cpp; )
-echo "creating lib-src/Makefile"; topsrcdir=/usr/local/xemacs/xemacs-20.0-b32; ( cd ./lib-src; rm -f junk.c; sed -e 's/^# Generated.*//' -e 's%/\*\*/#.*%%' < Makefile.in > junk.c; eval `echo ${CPP} -I. -I${topsrcdir}/src ${CPPFLAGS} junk.c \>junk.cpp`; < junk.cpp sed -e 's/^#.*//' -e 's/^[ \f\t][ \f\t]*$//' -e 's/^ / /' | sed -n -e '/^..*$/p' > Makefile.new; chmod 444 Makefile.new; mv -f Makefile.new Makefile; rm -f junk.c junk.cpp; )
-echo "creating dynodump/Makefile"; topsrcdir=/usr/local/xemacs/xemacs-20.0-b32; ( cd ./dynodump; rm -f junk.c; sed -e 's/^# Generated.*//' -e 's%/\*\*/#.*%%' < Makefile.in > junk.c; eval `echo ${CPP} -I. -I${topsrcdir}/src ${CPPFLAGS} junk.c \>junk.cpp`; < junk.cpp sed -e 's/^#.*//' -e 's/^[ \f\t][ \f\t]*$//' -e 's/^ / /' | sed -n -e '/^..*$/p' > Makefile.new; chmod 444 Makefile.new; mv -f Makefile.new Makefile; rm -f junk.c junk.cpp; )
-
-exit 0

File configure.in

 AC_HEADER_CHECK(nlist.h, AC_DEFINE(NLIST_STRUCT), )
 
 # AIX export list
-for export in /usr/lpp/X11/bin/smt.exp /usr/bin/X11/smt.exp ; do
-  if test -f "$export" ; then
-    AC_DEFINE(AIX_SMT_EXP, -bI:$export)
-    break
-  fi
-done
+if test -f /usr/lpp/X11/bin/smt.exp ; then
+  AC_DEFINE(AIX_SMT_EXP, -bI:/usr/lpp/X11/bin/smt.exp)
+elif test -f /usr/bin/X11/smt.exp ; then
+  AC_DEFINE(AIX_SMT_EXP, -bI:/usr/bin/X11/smt.exp)
+fi
 
 dnl # Set up the CFLAGS for real compilation, so we can substitute it.
 CFLAGS="$REAL_CFLAGS"

File dynodump/Makefile

-SHELL = /bin/sh
-CC=gcc
-CFLAGS=-m486 -g -O4 -malign-loops=2 -malign-jumps=2 -malign-functions=2
-ARCH=
-srcdir=/usr/local/xemacs/xemacs-20.0-b32/dynodump
-
-VPATH=/usr/local/xemacs/xemacs-20.0-b32/dynodump
-INCLUDES = -I${srcdir} -I${srcdir}/$(ARCH)
-ALL_CFLAGS = ${CFLAGS} -fpic  ${INCLUDES}
-OBJS = _relocate.o dynodump.o syms.o uninit.o
-.c.o:
-	$(CC) -c $(ALL_CFLAGS) $<
-all::
-dynodump.so: ${srcdir}/_dynodump.h $(OBJS)
-	$(CC) -o dynodump.so -G $(OBJS) -lelf -lmapmalloc
-_relocate.o: ${srcdir}/$(ARCH)/_relocate.c
-	$(CC) -c $(ALL_CFLAGS) ${srcdir}/$(ARCH)/_relocate.c
-uninit.o: ${srcdir}/$(ARCH)/uninit.c
-	$(CC) -c $(ALL_CFLAGS) ${srcdir}/$(ARCH)/uninit.c
-mostlyclean:
-	-rm -f *.o \#*
-clean: mostlyclean
-	-rm -f *.so *.so.1
-distclean: clean
-	-rm -f Makefile Makefile.in
-realclean: distclean
-	rm -f TAGS
-versionclean:
-	true
-extraclean: realclean
-	-rm -f *~ \#*

File dynodump/Makefile.in

-# Generated automatically from Makefile.in.in by configure.
-/* Hey Emacs, this is a -*- Makefile -*- */
-
-/* Makefile for dynodump subdirectory in XEmacs
-   Copyright (C) 1995 Board of Trustees, University of Illinois
-
-This file is part of XEmacs.
-
-XEmacs is free software; you can redistribute it and/or modify it
-under the terms of the GNU General Public License as published by the
-Free Software Foundation; either version 2, or (at your option) any
-later version.
-
-XEmacs is distributed in the hope that it will be useful, but WITHOUT
-ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
-FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-for more details.
-
-You should have received a copy of the GNU General Public License
-along with XEmacs; see the file COPYING.  If not, write to the Free
-Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */
-
-/* Avoid trouble on systems where the "SHELL" variable might be
-   inherited from the environment. */
-SHELL = /bin/sh
-
-/* Some people use these in paths they define.  We do not want their paths
-   getting changed on them. */
-#undef sparc
-#undef sun
-#undef unix
-#undef i386
-#undef ppc
-#undef sgi
-
-/* ==================== Things "configure" will edit ==================== */
-
-CC=gcc
-CFLAGS=-m486 -g -O4 -malign-loops=2 -malign-jumps=2 -malign-functions=2
-ARCH=
-
-/* Where to find the source code.  This is set by the configure
-   "--srcdir" option.  However, the value of ${srcdir} in
-   this makefile is not identical to what was specified with --srcdir,
-   since the variable here has "/dynodump" added at the end. */
-srcdir=/usr/local/xemacs/xemacs-20.0-b32/dynodump
-
-/* ========================= start of cpp stuff ========================= */
-
-#define NO_SHORTNAMES
-#define THIS_IS_YMAKEFILE
-#define NOT_C_CODE
-#include "../src/config.h"
-
-/* With the traditional VPATH setting, it is not possible to
-   simultaneously compile in-place and in another directory.  The
-   mistaken definition is that *all* dependencies are searched for in
-   the VPATH directory, rather than just the dependencies that are not
-   themselves targets.  Thus, if there is an up-to-date .o file in the
-   in-place location, it will not get recompiled in the not-in-place
-   location.
-
-   The GNU Make "vpath" directive continues this tradition, but at
-   least lets you to restrict the classes of files that it applies to.
-   This allows us to kludge around the problem. */
-#ifdef USE_GNU_MAKE
-vpath %.c /usr/local/xemacs/xemacs-20.0-b32/dynodump
-vpath %.h /usr/local/xemacs/xemacs-20.0-b32/dynodump
-/* now list files that should NOT be searched in the srcdir.
-   This includes any .c or .h that is built from something else
-   (e.g. a .in file). */
-/* none here */
-#else
-VPATH=/usr/local/xemacs/xemacs-20.0-b32/dynodump
-#endif
-
-#ifdef USE_GCC
-# define PIC_ARG -fpic
-#else
-# define PIC_ARG -K pic
-#endif
-
-INCLUDES = -I${srcdir} -I${srcdir}/$(ARCH)
-ALL_CFLAGS = ${CFLAGS} PIC_ARG ${INCLUDES}
-OBJS = _relocate.o dynodump.o syms.o uninit.o
-
-.c.o:
-	$(CC) -c $(ALL_CFLAGS) $<
-
-/* If we do not need dynodump, then do nothing. */
-#ifdef DYNODUMP
-all:: dynodump.so
-#else
-all::
-#endif
-
-dynodump.so: ${srcdir}/_dynodump.h $(OBJS)
-	$(CC) -o dynodump.so -G $(OBJS) -lelf -lmapmalloc
-
-_relocate.o: ${srcdir}/$(ARCH)/_relocate.c
-	$(CC) -c $(ALL_CFLAGS) ${srcdir}/$(ARCH)/_relocate.c
-
-uninit.o: ${srcdir}/$(ARCH)/uninit.c
-	$(CC) -c $(ALL_CFLAGS) ${srcdir}/$(ARCH)/uninit.c
-
-mostlyclean:
-	-rm -f *.o \#*
-
-clean: mostlyclean
-	-rm -f *.so *.so.1
-
-distclean: clean
-	-rm -f Makefile Makefile.in
-
-realclean: distclean
-	rm -f TAGS
-
-versionclean:
-	true
-
-extraclean: realclean
-	-rm -f *~ \#*

File dynodump/Makefile.in.in

 #endif
 
 dynodump.so: ${srcdir}/_dynodump.h $(OBJS)
-	$(CC) -o dynodump.so -G $(OBJS) -lelf -lmapmalloc
+	PATH=/usr/ccs/bin:$PATH ld -o dynodump.so -G $(OBJS) -lelf -lmapmalloc
 
 _relocate.o: ${srcdir}/$(ARCH)/_relocate.c
 	$(CC) -c $(ALL_CFLAGS) ${srcdir}/$(ARCH)/_relocate.c

File etc/sgml/sinfo.dtd

 <!-- This is sinfo.dtd,
       by MORIOKA Tomohiko
-      $Id: sinfo.dtd,v 1.1.1.1 1996/12/21 20:45:50 steve Exp $
+      $Id: sinfo.dtd,v 1.2 1996/12/28 21:02:49 steve Exp $
 -->
 
 <!entity % emph 
 
 <!entity % list 
         " list | ul | ol | dl | kl | vl | memo | lisp | rfc | standard
-        | report " >
+        | report | inproc " >
 
 <!entity % par 	
 	"  %list; | comment | lq | quote | tscreen " >
         " defun | define | defvar | prop | lemma | coroll | proof | theorem " >
 
 <!entity % sectpar 
-        " %par; | figure | table | faq | hrule | %mathpar; | 
+        " %par; | figure | table | faq | %mathpar; | 
 	  %thrm; ">
 <!element sinfo o o (head, body) >
 
 	  title-fr cdata #implied
 	  title-ja cdata #implied
 	  date     cdata #implied>
+<!element inproc - o empty>
+<!attlist inproc
+	  abbrev   cdata #implied
+	  author   cdata #required
+	  title-cn cdata #implied
+	  title-en cdata #implied
+	  title-fr cdata #implied
+	  title-ja cdata #implied
+	  book-cn  cdata #implied
+	  book-en  cdata #implied
+	  book-fr  cdata #implied
+	  book-ja  cdata #implied
+	  date     cdata #implied>
 <!element dl - - (dt,dd)+ >
 <!element dt - o ((%inline; | %sectpar;)*, (p|noindent)*) >
 <!element dd - o ((%inline; | %sectpar;)*, (p|noindent|newline)*) >
 <!element question - o ((%inline; | %sectpar;)*, (p|noindent)*)+>
 <!element answer - o ((%inline; | %sectpar;)*, (p|noindent)*)+>
 <!element coment - o ((%inline; | %sectpar;)*, (p|noindent)*)+>
-<!element hrule - o empty >
 
 <!element figure - - ((eps | ph ), caption?)>
 <!attlist figure

File etc/yow.lines

Binary file modified.
 * Vhdl-mode::	A major mode for editing VHDL files.
 * VM::		View Mail, a replacement for Rmail.
 * W3::		A browser for the World Wide Web global hypertext system.
-* tm_en::	Tools for Mime (English version)
-* tm-mh-e_en::	Tools for Mime for MH-E (English version)
-* gnus-mime_en::Tools for Mime for Gnus (English version)
+* tm-en::	Tools for Mime (English version)
+* tm-ja::	Tools for Mime (Japanese version)
+* tm-mh-e-en::	MIME extender for mh-e (English version)
+* tm-mh-e-ja::	MIME extender for mh-e (Japanese version)
+* tm-vm_en::	MIME extender for VM.
+* gnus-mime-en::MIME extender for Gnus (English version)
+* gnus-mime-ja::MIME extender for Gnus (Japanese version)
 * Locals:

File lib-src/pstogif

+#!/usr/local/bin/perl
+# 
+# pstogif.pl v1.0, July 1994, by Nikos Drakos <nikos@cbl.leeds.ac.uk>
+# Computer Based Learning Unit, University of Leeds.
+#
+# Accompanies LaTeX2HTML Version 96.1
+#
+# Script to convert an arbitrary PostScript image to a cropped GIF image
+# suitable for incorporation into HTML documents as inlined images to be
+# viewed with WWW browsers.
+#
+# This is based on the pstoepsi script 
+# by Doug Crabill dgc@cs.purdue.edu
+#
+# Please note the following:
+# - The source PostScript file must end
+#   in a .ps extention.  This is a GhostScript requirement, not mine...
+# - The -density argument has no effect unless the 
+#   color depth (set with the -depth argument) is equal to 1.
+# - Valid arguments for -depth are 1,8, or 24.
+#  
+# This software is provided as is without any guarantee.
+#
+# Nikos Drakos (ND), nikos@cbl.leeds.ac.uk
+# Computer Based Learning Unit, University of Leeds.
+#
+# 15 Jan 96 HS Call ppmquant only if needed.  Fixed bug relative to
+#    V 95.3 .
+#
+# 15 Dec 95 HS (Herbert Swan <dprhws.edp.Arco.com> Added support for
+#    the flip=option.  This allows images to be oriented differently
+#    in the paper versus the electronic media
+#
+# 1 Nov 95 jmn - modified for use with gs ppm driver - from jhrg's patches
+#    note that ppmtops.ps and ppmtops3.ps are no longer needed
+#
+# 20 JUL 94 ND Converted to Perl and made several changes eg it now accepts 
+#    parameters from environment variables or from command line or will use 
+#    default ones. 
+#      
+# 1  APR 94 ND Changed the suffixes of multi-page files from xbm to gif (oops!)
+#
+# 
+
+#####################################################################
+$| =1;
+&read_args;
+
+### You may need to specify some pathnames here if you want to
+### run the script without LaTeX2HTML
+
+# Ghostscript
+$GS= $ENV{'GS'} || 'gs';
+
+# Comes with LaTeX2HTML (For ghostscript versions greater than 3.0 
+# you need the newer pstoppm.ps)
+#$PSTOPPM= $ENV{'PSTOPPM'} ||
+#    'pstoppm.ps';
+
+# Available in the PBMPLUS libary	   
+$PNMCROP=$ENV{'PNMCROP'} || 'pnmcrop' ;
+
+# Also in PBMPLUS
+$PNMFLIP=$ENV{'PNMFLIP'} || 'pnmflip' ;
+
+# Also in PBMPPLUS	  
+$PPMTOGIF=$ENV{'PPMTOGIF'} || 'ppmtogif' ;
+
+# Also in PBMPPLUS	  
+$REDUCE_COLOR=$ENV{'PPMQUANT'} || 'ppmquant 256' ;
+ 
+$OUTFILE = $ENV{'OUTFILE'} || $out;
+			
+# Valid choices for $COLOR_DEPTH are 1, 8 or 24. 
+$DEPTH = $ENV{'DEPTH'} || $depth || 24;
+
+#Default density is 72
+$DENSITY = $ENV{'DENSITY'} || $density || 72;
+    
+# Valid choices are any numbers greater than zero
+# Useful choices are numbers between 0.1 - 5
+# Large numbers may generate very large intermediate files
+# and will take longer to process
+$SCALE = $ENV{'SCALE'} || $scale; # No default value
+
+$PAPERSIZE = $ENV{'PAPERSIZE'} || $papersize; # No default value;
+
+$DEBUG = $ENV{'DEBUG'} || $DEBUG || 0;
+
+######################################################################
+
+&main;
+
+sub read_args {
+    local($_);
+    local($color);
+    while ($ARGV[0] =~ /^-/) {
+	$_ = shift @ARGV;
+	if (/^-h(elp)?$/) {
+	    &usage; exit}
+        elsif (/^-out$/) {
+            $out = shift @ARGV;
+	}
+	elsif (/^-(.*)$/) {
+	    eval "\$$1 = shift \@ARGV"; # Create and set a flag $<name>
+	    }
+    }
+}		 
+
+sub main {
+    local($base, $outfile, $i, $j);
+    $base = &test_args;
+    $outfile = $OUTFILE || "$base.gif";
+    open(STDERR, ">/dev/null") unless $DEBUG;
+    &convert($base);
+    if (-f "$base.ppm") {
+	&crop_scale_etc("$base.ppm", $outfile);
+    }
+    else {
+	foreach $i (<$base.[1-9]*ppm>) {
+	$j = $i; 
+	$j =~ s/\.(.*)ppm/$1.gif/;
+	&crop_scale_etc($i, $j)}
+    }				
+    &cleanup($base);
+}
+
+sub crop_scale_etc {
+    local($in, $out) = @_;
+    local($tmp) = $in . ".tmp";
+    open(STDERR, ">/dev/null") unless $DEBUG;
+
+    if ($flip) {
+	rename($tmp, $in) unless system("$PNMFLIP -$flip $in > $tmp");
+	}
+    system("$PNMCROP $in > $tmp");
+
+    if (system("$PPMTOGIF $tmp > $out")) {
+	print "Running ppmquant for $out\n";
+	system("$REDUCE_COLOR < $tmp|$PPMTOGIF - > $out");
+	}
+    unlink $tmp;
+    print "Writing $out\n";
+}
+
+sub test_args {
+    local($file) = $ARGV[0];
+    if (! ($file =~ s/\.ps$//)) {
+	print "The name of the input file must end in '.ps'\n";
+	exit}
+    elsif (! ( -f "$file.ps")) {
+	print "Cannot find file $file.ps\n.";
+	exit}
+    elsif (! ($DEPTH =~ /^(1|8|24)$/)) {
+	print "The color depth must be 1 or 8 or 24. You specified $DEPTH\n";
+	exit			
+	}
+    if (defined $SCALE) {
+	if ($SCALE > 0) {
+	    $DENSITY = int($SCALE * $DENSITY)}
+	else {
+	    print "Error: The scale must be greater than 0.\n" .
+		"You specified $SCALE\n";
+	    exit}
+    }
+    $file;
+}
+   
+sub convert {
+    local($base) = @_;
+    local($paperopt) = "-sPAPERSIZE=$PAPERSIZE" if $PAPERSIZE;
+    local($ppmtype) = join('', "ppm",$DEPTH,"run");
+    local($density) = "-r$DENSITY" if ($DENSITY != 72);
+    open (GS, "|$GS -q -dNOPAUSE -dNO_PAUSE -sDEVICE=ppmraw $density -sOutputFile=$base.ppm $paperopt $base.ps");
+    close GS;
+}
+
+sub cleanup {
+    local($base) = @_;
+    unlink <$base[0-9.]*ppm>;
+}
+
+sub usage {
+    print "Usage: pstogif [-h(elp)] [-out <output file>] [-depth <color depth 1, 8 or 24>]  [-flip <Flip_code>] [-density <pixel density>] <file>.ps\n\n";
+}
+
+

File lib-src/tm-au

 #!/bin/sh -
 #
-# $Id: tm-au,v 1.1.1.1 1996/12/18 22:42:33 steve Exp $
+# $Id: tm-au,v 1.2 1996/12/28 21:02:51 steve Exp $
 #
 
 if [ "$TM_TMP_DIR" = "" ]; then
 case "$4" in
 "play")
 	echo "$2; $3 ->"
+	tmdecode $3 $1 $filename
 	if [ "$AUDIOSERVER" = "" ]; then
 		if [ `uname` = "IRIX" ]; then
-			tmdecode $3 $1 $filename
 			sfplay $filename
-			trap 'rm -f $filename' 0 1 2 3 13 15
 		else
-			tmdecode $3 $1 /dev/audio
+			cat $filename > /dev/audio
 		fi
 	else
-		tmdecode $3 $1 $filename
 		autool -v 40 $filename
-		trap 'rm -f $filename' 0 1 2 3 13 15
 	fi
+	trap 'rm -f $filename' 0 1 2 3 13 15
 	;;
 "extract")
 	echo "$2; $3 -> $filename"

File lib-src/tm-file

 #!/bin/sh -
 #
-# $Id: tm-file,v 1.1.1.1 1996/12/18 22:42:33 steve Exp $
+# $Id: tm-file,v 1.2 1996/12/28 21:02:51 steve Exp $
 #
 
 if [ "$TM_TMP_DIR" = "" ]; then

File lib-src/tm-html

 #!/bin/sh
 #
-# $Id: tm-html,v 1.1.1.1 1996/12/18 22:42:33 steve Exp $
+# $Id: tm-html,v 1.2 1996/12/28 21:02:51 steve Exp $
 #
 
 if [ "$TM_TMP_DIR" = "" ]; then

File lib-src/tm-image

 #!/bin/sh -
 #
-# $Id: tm-image,v 1.1.1.1 1996/12/18 22:42:33 steve Exp $
+# $Id: tm-image,v 1.2 1996/12/28 21:02:52 steve Exp $
 #
 # Copyright 1994, 1995, 1996 Free Software Foundation, Inc.
 

File lib-src/tm-mpeg

 #!/bin/sh -
 #
-# $Id: tm-mpeg,v 1.1.1.1 1996/12/18 22:42:33 steve Exp $
+# $Id: tm-mpeg,v 1.2 1996/12/28 21:02:52 steve Exp $
 #
 # Copyright 1994, 1995, 1996 Free Software Foundation, Inc.
 

File lib-src/tm-plain

 #!/bin/sh -
 #
-# $Id: tm-plain,v 1.1.1.1 1996/12/18 22:42:33 steve Exp $
+# $Id: tm-plain,v 1.2 1996/12/28 21:02:52 steve Exp $
 #
 
 if [ "$TM_TMP_DIR" = "" ]; then
 	echo "$2; $3 ->"
 	tmdecode "$3" "$1" /dev/stdout | lpr
 	;;
-esac
+esac

File lib-src/tm-ps

 #!/bin/sh -
 #
-# $Id: tm-ps,v 1.1.1.1 1996/12/18 22:42:33 steve Exp $
+# $Id: tm-ps,v 1.2 1996/12/28 21:02:52 steve Exp $
 #
 # Copyright 1994, 1995, 1996 Free Software Foundation, Inc.
 

File lib-src/tmdecode

 #!/bin/sh -
 #
-# $Id: tmdecode,v 1.1.1.1 1996/12/18 22:42:33 steve Exp $
+# $Id: tmdecode,v 1.2 1996/12/28 21:02:52 steve Exp $
 #
 # Copyright 1994, 1995, 1996 Free Software Foundation, Inc.
 

File lisp/ChangeLog

+Sat Dec 28 11:15:55 1996  Steven L Baur  <steve@altair.xemacs.org>
+
+	* x11/x-menubar.el (default-menubar): Move Frame-local font menu
+	option to Frame Appearance submenu.
+
+Fri Dec 27 20:30:00 1996  Steven L Baur  <steve@altair.xemacs.org>
+
+	* x11/x-font-menu.el (font-menu-this-frame-only-p): Default to
+	nil, because everyone was confused by it defaulting to t.
+
+Fri Dec 27 12:30:37 1996  Richard Mlynarik  <mly@adoc.xerox.com>
+
+	* prim/sort.el (sort-subr): Document use of `sort-fold-case'.
+	(sort-lines): Ditto.
+	(sort-paragraphs): Ditto.
+	(sort-pages): Ditto.
+	(sort-regexp-fields): Ditto.
+	(sort-numeric-fields): Ditto.
+	(sort-regexp-fields): Ditto.
+	(sort-columns): Ditto.
+	(sort-regexp-fields): Use compare-buffer-substrings if available.
+
+Fri Dec 27 12:09:23 1996  Noah Friedman  <friedman@gnu.ai.mit.edu>
+
+	* modes/mail-abbrevs.el (mail-abbrev-expand-hook): Prevent abbrev
+	expansion from happening multiple times.
+
+Fri Dec 27 02:31:15 1996  Steven L Baur  <steve@altair.xemacs.org>
+
+	* prim/help.el (help-for-help): Don't confuse help character `b'
+	with scrolling character `b' in view-less help buffer.
+
+	* packages/scroll-in-place.el: Synch with 19.15.
+
+Thu Dec 26 15:25:09 1996  Steven L Baur  <steve@altair.xemacs.org>
+
+	* x11/x-menubar.el (xemacs-splash-buffer): New function.
+	(default-menubar): Use it.
+	(default-menubar): Reorganize help menus.
+
+	* prim/startup.el (startup-message-timeout): More or less disable
+	the timeout of the splash screen.
+
+	* packages/man.el (Manual-use-rosetta-man): For Neal Becker's
+	Rosetta Man patch.
+	(Manual-nuke-nroff-bs): Use it.
+
+Tue Dec 24 12:46:22 1996  Steven L Baur  <steve@altair.xemacs.org>
+